export default {
  source: 'BestRefSeq',
  type: 'gene',
  start: 35331036,
  end: 35395251,
  strand: -1,
  phase: 0,
  refName: 'NC_000001.10',
  id: 'gene625',
  dbxref: ['GeneID:58512', 'HGNC:HGNC:30368', 'MIM:611413'],
  name: 'DLGAP3',
  description: 'DLG associated protein 3',
  gbkey: 'Gene',
  gene: 'DLGAP3',
  gene_biotype: 'protein_coding',
  gene_synonym: ['DAP3', 'SAPAP3'],
  subfeatures: [
    {
      source: 'BestRefSeq',
      type: 'mRNA',
      start: 35331036,
      end: 35395251,
      strand: -1,
      phase: 0,
      refName: 'NC_000001.10',
      id: 'mRNA1315',
      parent: 'gene625',
      dbxref: [
        'GeneID:58512',
        'Genbank:NM_001080418.3',
        'HGNC:HGNC:30368',
        'MIM:611413',
      ],
      name: 'NM_001080418.3',
      gbkey: 'mRNA',
      gene: 'DLGAP3',
      product: 'DLG associated protein 3',
      tag: 'RefSeq Select',
      transcript_id: 'NM_001080418.3',
      subfeatures: [
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35331036,
          end: 35331902,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-0',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35331683,
          end: 35331902,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-1',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35332648,
          end: 35332792,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-2',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35333136,
          end: 35333228,
          strand: -1,
          phase: 2,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-3',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35334205,
          end: 35334690,
          strand: -1,
          phase: 1,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-4',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35350578,
          end: 35350664,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-5',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35351078,
          end: 35351392,
          strand: -1,
          phase: 2,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-6',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35351672,
          end: 35351886,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-7',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35365269,
          end: 35365342,
          strand: -1,
          phase: 1,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-8',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35365668,
          end: 35365874,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-9',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'CDS',
          start: 35369877,
          end: 35370984,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          id: 'CDS1270',
          parent: 'mRNA1315',
          dbxref: [
            'CCDS:CCDS30670.1',
            'GeneID:58512',
            'Genbank:NP_001073887.1',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          name: 'NP_001073887.1',
          gbkey: 'CDS',
          gene: 'DLGAP3',
          product: 'disks large-associated protein 3',
          protein_id: 'NP_001073887.1',
          tag: 'RefSeq Select',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-10',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35332648,
          end: 35332792,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-11',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35333136,
          end: 35333228,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-12',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35334205,
          end: 35334690,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-13',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35350578,
          end: 35350664,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-14',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35351078,
          end: 35351392,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-15',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35351672,
          end: 35351886,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-16',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35365269,
          end: 35365342,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-17',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35365668,
          end: 35365874,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-18',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35369877,
          end: 35371035,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-19',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35372955,
          end: 35373038,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-20',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
        {
          source: 'BestRefSeq',
          type: 'exon',
          start: 35395051,
          end: 35395251,
          strand: -1,
          phase: 0,
          refName: 'NC_000001.10',
          parent: 'mRNA1315',
          dbxref: [
            'GeneID:58512',
            'Genbank:NM_001080418.3',
            'HGNC:HGNC:30368',
            'MIM:611413',
          ],
          gbkey: 'mRNA',
          gene: 'DLGAP3',
          product: 'DLG associated protein 3',
          tag: 'RefSeq Select',
          transcript_id: 'NM_001080418.3',
          uniqueId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0-21',
          parentId:
            'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
        },
      ],
      uniqueId:
        'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949-0',
      parentId:
        'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949',
    },
  ],
  uniqueId:
    'type-Gff3TabixAdapter;type-Gff3TabixAdapter;uri-https://s3.amazonaws.com/jbrowse.org/genomes/hg19/nc-offset-162597949',
}
