---
title: v1.0.3 Release
date: 2021-01-11
tags: ['release', 'jbrowse 2']
---

This release of JBrowse Web includes several improvements and bug fixes,
including:

- Search and dropdown combined into single intuitive component on linear genome
  view
- Big alignment track enhancements
  - Added sort by tag to sorting options
  - Added ability to color by preset options such as "base pair", "mapping
    quality", and "tag"
  - Added ability to filter by preset options such as "read paired" and "read
    reverse strand"
- Feature detail widget now shows subfeature details
- Added --branch and --nightly flags for create and upgrade CLI commands
- Improved admin server GUI
- Additional track menu options for wiggle and SNP coverage tracks such as
  "autoscale", "log scale" and "histogram fill"
- Improved build system for external plugins (check out our new plugin template
  at https://github.com/GMOD/jbrowse-plugin-template)

![](/img/color_by_tag.png) Figure showing the new feature for "color by tag" and
"sort by tag" applied to a CRAM file

## Downloads

- [v1.0.3](https://github.com/GMOD/jbrowse-components/releases/tag/v1.0.3)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.0.3 (2021-01-11)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                         |
| --------------------------------------- | ---------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                      |
| @jbrowse/development-tools              | https://www.npmjs.com/package/@jbrowse/development-tools         |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments         |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                |
| @jbrowse/plugin-breakpoint-split-view   |                                                                  |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view      |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config             |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management    |
| @jbrowse/plugin-dotplot-view            |                                                                  |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3               |
| @jbrowse/plugin-hic                     |                                                                  |
| @jbrowse/plugin-linear-comparative-view |                                                                  |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view |
| @jbrowse/plugin-menus                   |                                                                  |
| @jbrowse/plugin-spreadsheet-view        |                                                                  |
| @jbrowse/plugin-trackhub-registry       |                                                                  |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants           |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle             |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                       |
| @jbrowse/desktop                        |                                                                  |
| @jbrowse/protein-widget                 |                                                                  |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view  |
| @jbrowse/web                            |                                                                  |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#1560](https://github.com/GMOD/jbrowse-components/pull/1560) Provide a
    dialog to add extra genomic context for linear read vs. ref visualization
    ([@elliothershberg](https://github.com/elliothershberg))
  - [#1604](https://github.com/GMOD/jbrowse-components/pull/1604) Add ability to
    filter for read name to the alignments filter dialog
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1599](https://github.com/GMOD/jbrowse-components/pull/1599) Replace 'show
    all regions' with 'show all regions in assembly'
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1595](https://github.com/GMOD/jbrowse-components/pull/1595) Admin server
    GUI enhancements ([@elliothershberg](https://github.com/elliothershberg))
  - [#1584](https://github.com/GMOD/jbrowse-components/pull/1584) Restructure
    demo page and release cancer demo
    ([@elliothershberg](https://github.com/elliothershberg))
  - [#1579](https://github.com/GMOD/jbrowse-components/pull/1579) Create
    --branch and --nightly flags for `jbrowse create` and `jbrowse upgrade`
    commands ([@cmdcolin](https://github.com/cmdcolin))
  - [#1575](https://github.com/GMOD/jbrowse-components/pull/1575) Improve
    mobx-state-tree type validation errors
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1574](https://github.com/GMOD/jbrowse-components/pull/1574) Make softclip
    indicator black if no seq available
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1554](https://github.com/GMOD/jbrowse-components/pull/1554) Coloring
    options with simple color for tag
    ([@peterkxie](https://github.com/peterkxie))
  - [#1565](https://github.com/GMOD/jbrowse-components/pull/1565) Rename jbrowse
    cli add-track --type to --trackType
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1558](https://github.com/GMOD/jbrowse-components/pull/1558) Add docs for
    sequence track, variant track, launching synteny from dotplot, and add UCSC
    plugin to demo ([@cmdcolin](https://github.com/cmdcolin))
  - [#1533](https://github.com/GMOD/jbrowse-components/pull/1533) Display file
    headers in pre tag in about dialogs and bump @gmod/bam and @gmod/tabix
    package versions ([@cmdcolin](https://github.com/cmdcolin))
  - [#1541](https://github.com/GMOD/jbrowse-components/pull/1541) Add more info
    about adding a PAF file to the synteny import form
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1509](https://github.com/GMOD/jbrowse-components/pull/1509) Combine Search
    and Dropdown component on LGV ([@teresam856](https://github.com/teresam856))
  - [#1530](https://github.com/GMOD/jbrowse-components/pull/1530) Add
    spreadsheet filter support for derived columns
    ([@elliothershberg](https://github.com/elliothershberg))
  - [#1483](https://github.com/GMOD/jbrowse-components/pull/1483) Add session
    export to and import from file
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1519](https://github.com/GMOD/jbrowse-components/pull/1519) Add autoSql to
    the bigBed "About this track" dialog
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#1531](https://github.com/GMOD/jbrowse-components/pull/1531) Add track menu
    options for autoscale, log scale, histogram fill, setting min/max score, and
    zoom level/resolution for wiggle/snpcoverage tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1473](https://github.com/GMOD/jbrowse-components/pull/1473) Color, filter,
    and sort options for the alignments
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1576](https://github.com/GMOD/jbrowse-components/pull/1576) Add location
    string to tooltip for wiggle and SNPCoverage tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1529](https://github.com/GMOD/jbrowse-components/pull/1529) Display
    subfeatures in feature details widget
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`, `development-tools`
  - [#1578](https://github.com/GMOD/jbrowse-components/pull/1578) Update build
    system for external plugins
    ([@garrettjstevens](https://github.com/garrettjstevens))

#### :bug: Bug Fix

- Other
  - [#1608](https://github.com/GMOD/jbrowse-components/pull/1608) Take into
    account offsetX of the rubberband on scalebar zooming
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1597](https://github.com/GMOD/jbrowse-components/pull/1597) Fix crash when
    there are undefined references in the state tree e.g. when a track is
    deleted but still referred to by a session
    ([@peterkxie](https://github.com/peterkxie))
  - [#1598](https://github.com/GMOD/jbrowse-components/pull/1598) Disable 'copy
    to clipboard' while share url being generated
    ([@peterkxie](https://github.com/peterkxie))
  - [#1589](https://github.com/GMOD/jbrowse-components/pull/1589) Fix the
    display of trackhub registry results
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1573](https://github.com/GMOD/jbrowse-components/pull/1573) Update
    hic-straw to fix error for hic files with many scaffolds
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1563](https://github.com/GMOD/jbrowse-components/pull/1563) Remove
    softclip and hardclip from being counted as SNPs in the SNPCoverage
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1559](https://github.com/GMOD/jbrowse-components/pull/1559) Avoid errors
    from breakpoint split view related to getBoundingClientRect on null track
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1540](https://github.com/GMOD/jbrowse-components/pull/1540) Fix memory
    leak when side scrolling LGV blocks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1534](https://github.com/GMOD/jbrowse-components/pull/1534) Fix breakpoint
    split view showing too many connections for paired end ends
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1524](https://github.com/GMOD/jbrowse-components/pull/1524) Move loading
    flag for spreadsheet import wizard to volatile to avoid it persisting across
    refresh ([@cmdcolin](https://github.com/cmdcolin))
  - [#1521](https://github.com/GMOD/jbrowse-components/pull/1521) Add missing
    dep to react-linear-genome-view
    ([@garrettjstevens](https://github.com/garrettjstevens))
- `core`
  - [#1587](https://github.com/GMOD/jbrowse-components/pull/1587) Fix
    positioning of scalebar tooltips, overview scalebar plotting, and refName
    label positioning when displaying many regions
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1547](https://github.com/GMOD/jbrowse-components/pull/1547) Fix analytics
    crashing when using plugins ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#1594](https://github.com/GMOD/jbrowse-components/pull/1594) Add GFF3 example
  to quickstart ([@cmdcolin](https://github.com/cmdcolin))
- [#1581](https://github.com/GMOD/jbrowse-components/pull/1581) Add some
  features that are missing from jbrowse 2 to the feature comparison table
  ([@cmdcolin](https://github.com/cmdcolin))
- [#1558](https://github.com/GMOD/jbrowse-components/pull/1558) Add docs for
  sequence track, variant track, launching synteny from dotplot, and add UCSC
  plugin to demo ([@cmdcolin](https://github.com/cmdcolin))
- [#1537](https://github.com/GMOD/jbrowse-components/pull/1537) Add
  CONTRIBUTING.md with tips for getting started with codebase
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- [#1606](https://github.com/GMOD/jbrowse-components/pull/1606) Upgrade
  @testing-library/react and improve test reliability
  ([@cmdcolin](https://github.com/cmdcolin))
- [#1555](https://github.com/GMOD/jbrowse-components/pull/1555) Remove the
  TextDecoder/TextEncoder polyfill ([@cmdcolin](https://github.com/cmdcolin))
- [#1522](https://github.com/GMOD/jbrowse-components/pull/1522) Update oclif and
  remove now unnecessary file copy
  ([@garrettjstevens](https://github.com/garrettjstevens))

#### Committers: 6

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Elliot Hershberg ([@elliothershberg](https://github.com/elliothershberg))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Peter Xie ([@peterkxie](https://github.com/peterkxie))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
- [@Akusem](https://github.com/Akusem)
