---
title: v1.0.4 Release
date: 2021-03-08
tags: ['release', 'jbrowse 2']
---

This release of JBrowse Web includes a _great_ many small improvements and bug
fixes, see the full changelog below.

Some particularly salient improvements include:

## Better indications for insertions

The alignments track received a couple updates including "large insertion
indicators" for large indels, and also an upside-down count of clipping or
insertion events. There is also a triangular indicator plotted when the
insertion/clip count exceeds a threshold at that position defaulted to 30% of
reads

![](/img/insertion_indicators.png)

## Click and drag the overview bar to "Get sequence"

Users can now download regions of sequence by selecting a region in the linear
genome view and clicking "get sequence". See the demonstration video below:

<video width="100%" playsInline loop controls muted>
  <source src="https://user-images.githubusercontent.com/45598764/110399138-23a61200-802a-11eb-80e5-4c402fb6c2c1.mov"></source>
 </video>

You can also "get sequence" in the read vs reference view, which allows you to
"get sequence" for the inserted bases or softclipped bases from a read alignment

![](/img/read_vs_ref_insertion.png)

A long-requested feature, implemented in
[#1588](https://github.com/GMOD/jbrowse-components/pull/1588) by
[@teresam856](https://github.com/teresam856)!

## Enhanced navigation of paired end reads and BND/TRA breakends

Feature detail panels for BND/TRA features, long split-alignments, and
paired-end reads have links to navigate or popup of the breakpoint split views
with their mates.

![](/img/link_to_split_view.png)

Implemented by [@cmdcolin](https://github.com/cmdcolin) in
[#1701](https://github.com/GMOD/jbrowse-components/pull/1701).

## Downloads

- [v1.0.4](https://github.com/GMOD/jbrowse-components/releases/tag/v1.0.4)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.0.4 (2021-03-08)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                         |
| --------------------------------------- | ---------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                      |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments         |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                |
| @jbrowse/plugin-breakpoint-split-view   |                                                                  |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view      |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config             |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management    |
| @jbrowse/plugin-dotplot-view            |                                                                  |
| @jbrowse/plugin-filtering               |                                                                  |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3               |
| @jbrowse/plugin-legacy-jbrowse          |                                                                  |
| @jbrowse/plugin-linear-comparative-view |                                                                  |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view |
| @jbrowse/plugin-lollipop                |                                                                  |
| @jbrowse/plugin-menus                   |                                                                  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence           |
| @jbrowse/plugin-spreadsheet-view        |                                                                  |
| @jbrowse/plugin-sv-inspector            |                                                                  |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants           |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle             |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                       |
| @jbrowse/desktop                        |                                                                  |
| @jbrowse/protein-widget                 |                                                                  |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view  |
| @jbrowse/web                            |                                                                  |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#1758](https://github.com/GMOD/jbrowse-components/pull/1758) Add ability to
    get stitched together CDS, protein, and cDNA sequences in feature details
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1721](https://github.com/GMOD/jbrowse-components/pull/1721) Manually
    adjust feature height and spacing on alignments track
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1728](https://github.com/GMOD/jbrowse-components/pull/1728) Add list of
    loaded plugins to the "About widget" ([@rbuels](https://github.com/rbuels))
  - [#1711](https://github.com/GMOD/jbrowse-components/pull/1711) Add plugin
    top-level configuration ([@teresam856](https://github.com/teresam856))
  - [#1699](https://github.com/GMOD/jbrowse-components/pull/1699) Add sequence
    track for both read and reference genome in the "Linear read vs ref"
    comparison ([@cmdcolin](https://github.com/cmdcolin))
  - [#1701](https://github.com/GMOD/jbrowse-components/pull/1701) Add clickable
    navigation links to supplementary alignments/paired ends locations and
    BND/TRA endpoints in detail widgets
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1601](https://github.com/GMOD/jbrowse-components/pull/1601) Add ability to
    color by per-base quality in alignment tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1640](https://github.com/GMOD/jbrowse-components/pull/1640) Move stats
    calculation to BaseFeatureAdapter ([@cmdcolin](https://github.com/cmdcolin))
  - [#1588](https://github.com/GMOD/jbrowse-components/pull/1588) Add "Get
    sequence" action to LGV rubber-band
    ([@teresam856](https://github.com/teresam856))
- Other
  - [#1743](https://github.com/GMOD/jbrowse-components/pull/1743) Add color
    picker and choice of summary score style for wiggle track
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1763](https://github.com/GMOD/jbrowse-components/pull/1763) Add a "CSS
    reset" to jbrowse-react-linear-genome-view to prevent parent styles from
    outside the component leaking in ([@cmdcolin](https://github.com/cmdcolin))
  - [#1756](https://github.com/GMOD/jbrowse-components/pull/1756) Split
    alignments track menu items into "Pileup" and "SNPCoverage" submenus
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1742](https://github.com/GMOD/jbrowse-components/pull/1742) Add ability to
    display crosshatches on the wiggle line/xyplot renderer
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1736](https://github.com/GMOD/jbrowse-components/pull/1736) Fix CLI
    add-track --load inPlace to put exact contents into the config, add better
    CLI example docs ([@cmdcolin](https://github.com/cmdcolin))
  - [#1394](https://github.com/GMOD/jbrowse-components/pull/1394) Add new menu
    items for show/hide feature labels, set max height, and set compact display
    mode ([@cmdcolin](https://github.com/cmdcolin))
  - [#1720](https://github.com/GMOD/jbrowse-components/pull/1720) Standardize
    phred qual scaling between BAM and CRAM and add option to make mismatches
    render in a lighter color when quality is low
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1704](https://github.com/GMOD/jbrowse-components/pull/1704) Add "Show all
    regions in assembly" to import form and make import form show entire region
    when refName selected ([@cmdcolin](https://github.com/cmdcolin))
  - [#1687](https://github.com/GMOD/jbrowse-components/pull/1687) Threshold for
    indicators on SNPCoverage + inverted bargraph of interbase counts for
    sub-threshold events ([@cmdcolin](https://github.com/cmdcolin))
  - [#1695](https://github.com/GMOD/jbrowse-components/pull/1695) Improve
    zoomed-out display of quantitative displays tracks when bicolor pivot is
    active ([@cmdcolin](https://github.com/cmdcolin))
  - [#1680](https://github.com/GMOD/jbrowse-components/pull/1680) Add on click
    functionality to quantitative track features
    ([@teresam856](https://github.com/teresam856))
  - [#1630](https://github.com/GMOD/jbrowse-components/pull/1630) Get column
    names from BED tabix files and other utils for external jbrowse-plugin-gwas
    support ([@cmdcolin](https://github.com/cmdcolin))
  - [#1709](https://github.com/GMOD/jbrowse-components/pull/1709) Improve
    sorting and filtering in variant detail widget
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1688](https://github.com/GMOD/jbrowse-components/pull/1688) Bold insertion
    indicator for large insertions on pileup track
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1669](https://github.com/GMOD/jbrowse-components/pull/1669) Allow plain
    json encoding of the session in the URL
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1642](https://github.com/GMOD/jbrowse-components/pull/1642) Enable
    locstring navigation from LGV import form
    ([@teresam856](https://github.com/teresam856))
  - [#1655](https://github.com/GMOD/jbrowse-components/pull/1655) Add GFF3Tabix
    and BEDTabix inference to JB1 connection
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1643](https://github.com/GMOD/jbrowse-components/pull/1643) Add an offset
    that allows all wiggle y-scalebar labels to be visible
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1632](https://github.com/GMOD/jbrowse-components/pull/1632) Displays
    warnings when receiving a session with custom callbacks
    ([@peterkxie](https://github.com/peterkxie))
  - [#1615](https://github.com/GMOD/jbrowse-components/pull/1615) Increase
    pileup maxHeight ([@cmdcolin](https://github.com/cmdcolin))
  - [#1624](https://github.com/GMOD/jbrowse-components/pull/1624) GCContent
    adapter ([@cmdcolin](https://github.com/cmdcolin))
  - [#1614](https://github.com/GMOD/jbrowse-components/pull/1614) Add insertion
    and clip indicators to SNPCoverage views (part of Alignments tracks)
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1610](https://github.com/GMOD/jbrowse-components/pull/1610) Display error
    message from dynamodb session sharing error
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- Other
  - [#1777](https://github.com/GMOD/jbrowse-components/pull/1777) Quick fix for
    block error ([@cmdcolin](https://github.com/cmdcolin))
  - [#1748](https://github.com/GMOD/jbrowse-components/pull/1748) External
    plugins load after confirming config warning
    ([@peterkxie](https://github.com/peterkxie))
  - [#1750](https://github.com/GMOD/jbrowse-components/pull/1750) Fix pileup
    sorting when using string tag ([@cmdcolin](https://github.com/cmdcolin))
  - [#1747](https://github.com/GMOD/jbrowse-components/pull/1747) Fix the
    position of the popup menu after rubberband select when there is a margin on
    the component e.g. in embedded ([@cmdcolin](https://github.com/cmdcolin))
  - [#1736](https://github.com/GMOD/jbrowse-components/pull/1736) Fix CLI
    add-track --load inPlace to put exact contents into the config, add better
    CLI example docs ([@cmdcolin](https://github.com/cmdcolin))
  - [#1731](https://github.com/GMOD/jbrowse-components/pull/1731) Fix alignment
    track ability to remember the height of the SNPCoverage subtrack on refresh
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1719](https://github.com/GMOD/jbrowse-components/pull/1719) Fix for
    navigation past end of chromosome ([@cmdcolin](https://github.com/cmdcolin))
  - [#1698](https://github.com/GMOD/jbrowse-components/pull/1698) Fix rendering
    read vs ref comparisons with CIGAR strings that use = sign matches
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1697](https://github.com/GMOD/jbrowse-components/pull/1697) Fix
    softclipping configuration setting causing bases to be missed
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1689](https://github.com/GMOD/jbrowse-components/pull/1689) Disable
    copy/delete menu items for reference sequence track
    ([@teresam856](https://github.com/teresam856))
  - [#1682](https://github.com/GMOD/jbrowse-components/pull/1682) Fix parsing of
    BED and BEDPE files with comment header for spreadsheet view
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1679](https://github.com/GMOD/jbrowse-components/pull/1679) Fix issue with
    using launching the add track widget on views that are not displaying any
    regions ([@teresam856](https://github.com/teresam856))
  - [#1642](https://github.com/GMOD/jbrowse-components/pull/1642) Enable
    locstring navigation from LGV import form
    ([@teresam856](https://github.com/teresam856))
  - [#1626](https://github.com/GMOD/jbrowse-components/pull/1626) Bug Fix:
    specify assembly in locstring ([@teresam856](https://github.com/teresam856))
  - [#1619](https://github.com/GMOD/jbrowse-components/pull/1619) Fix overview
    scale polygon not appearing properly in some cases
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#1714](https://github.com/GMOD/jbrowse-components/pull/1714) Fix ability to
    add a PAF on initial dotplot view creation
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1657](https://github.com/GMOD/jbrowse-components/pull/1657) Fix for track
    using assembly alias not displaying
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1620](https://github.com/GMOD/jbrowse-components/pull/1620) Add error
    reporting on a worker failure ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#1725](https://github.com/GMOD/jbrowse-components/pull/1725) JBrowseR release
  ([@elliothershberg](https://github.com/elliothershberg))
- [#1677](https://github.com/GMOD/jbrowse-components/pull/1677) Config guide
  updates ([@elliothershberg](https://github.com/elliothershberg))
- [#1665](https://github.com/GMOD/jbrowse-components/pull/1665) Add Nextstrain
  COVID storybook ([@elliothershberg](https://github.com/elliothershberg))
- [#1670](https://github.com/GMOD/jbrowse-components/pull/1670) typo in
  developer guide docs ([@teresam856](https://github.com/teresam856))
- [#1592](https://github.com/GMOD/jbrowse-components/pull/1592) Website copy
  edits ([@rbuels](https://github.com/rbuels))
- [#1646](https://github.com/GMOD/jbrowse-components/pull/1646) Fix "See code"
  link in CLI docs ([@garrettjstevens](https://github.com/garrettjstevens))
- [#1618](https://github.com/GMOD/jbrowse-components/pull/1618) Add whole-genome
  view and color/sort alignments tutorials to user guide
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- Other
  - [#1666](https://github.com/GMOD/jbrowse-components/pull/1666) Move
    "mouseover" config from BaseLinearDisplay to LinearBasicDisplay display
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1751](https://github.com/GMOD/jbrowse-components/pull/1751) Make the
    variant display derive from the feature display
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1716](https://github.com/GMOD/jbrowse-components/pull/1716) Stringify
    labels before adding to rendering to avoid undefineds on label.length
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1713](https://github.com/GMOD/jbrowse-components/pull/1713) Add
    console.error log in block setError
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1663](https://github.com/GMOD/jbrowse-components/pull/1663) Make LGV
    "initialized" not depend on displayedRegions
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1672](https://github.com/GMOD/jbrowse-components/pull/1672) Fix import
    forms crashing if there are no assemblies
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1644](https://github.com/GMOD/jbrowse-components/pull/1644) Bump electron
    from 9.3.1 to 9.4.0 ([@dependabot[bot]](https://github.com/apps/dependabot))
  - [#1641](https://github.com/GMOD/jbrowse-components/pull/1641) Remove codecov
    pr annotations ([@cmdcolin](https://github.com/cmdcolin))
  - [#1609](https://github.com/GMOD/jbrowse-components/pull/1609) Add extra
    checks for release script ([@peterkxie](https://github.com/peterkxie))
- `core`
  - [#1762](https://github.com/GMOD/jbrowse-components/pull/1762) Add
    requestidlecallback ponyfill in @jbrowse/core/util
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1629](https://github.com/GMOD/jbrowse-components/pull/1629) Add
    RegionsAdapter/SequenceAdapter, reorganize base adapters
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1625](https://github.com/GMOD/jbrowse-components/pull/1625) Make
    renderArgs consistent and don't duplicate data
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1414](https://github.com/GMOD/jbrowse-components/pull/1414) Typescriptify
    and MST'ify the add track workflow
    ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 7

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Elliot Hershberg ([@elliothershberg](https://github.com/elliothershberg))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Liu ZH ([@sqwwwok](https://github.com/sqwwwok))
- Peter Xie ([@peterkxie](https://github.com/peterkxie))
- Robert Buels ([@rbuels](https://github.com/rbuels))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
