---
title: v1.1.0 Release
date: 2021-03-29
tags: ['release', 'jbrowse 2']
---

We're pleased to announce a new release of JBrowse Web!

## Changed callbacks language from JavaScript to Jexl

To allow users to safely and seamlessly share advanced configurations in
sessions, we now use
[Jexl](https://github.com/TomFrost/Jexl/blob/master/README.md) to express
configuration callbacks. Note that this is a breaking change, `function()`-style
callbacks will no longer work.

For details, see the
[callbacks section of our configuration guide](/docs/config_guides/jexl).

## Fetch intron and upstream/downstream sequences

We also have several other improvements including the ability to get intron and
upstream/downstream sequence in the feature details

![](/img/upstream_downstream_details.png)

## Interactive documentation using Storybook

Another new update is the first release of our interactive Storybook docs for
the embeddable React Linear Genome View. The docs contain live examples of how
the LGV component can be used, along with source-code examples. The site can be
found [here](https://jbrowse.org/storybook/lgv/v1.1.0).

## Enhanced navigation to drawer widget stack

We have added a dropdown to enhance navigation between stack of active widgets.
The update also adds a minimize button to allow quick access to full screen
JBrowse web.

See below for demos of the new navigation UI.

![Minimize button demo](https://media.giphy.com/media/VkkAJWQevhezVR2jCj/giphy.gif)

Demo of using the minimize button in the drawer

## Downloads

- [v1.1.0](https://github.com/GMOD/jbrowse-components/releases/tag/v1.1.0)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.1.0 (2021-03-29)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                         |
| --------------------------------------- | ---------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                      |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments         |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                |
| @jbrowse/plugin-breakpoint-split-view   |                                                                  |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view      |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config             |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management    |
| @jbrowse/plugin-dotplot-view            |                                                                  |
| @jbrowse/plugin-filtering               |                                                                  |
| @jbrowse/plugin-hic                     |                                                                  |
| @jbrowse/plugin-linear-comparative-view |                                                                  |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view |
| @jbrowse/plugin-lollipop                |                                                                  |
| @jbrowse/plugin-menus                   |                                                                  |
| @jbrowse/plugin-protein                 |                                                                  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence           |
| @jbrowse/plugin-spreadsheet-view        |                                                                  |
| @jbrowse/plugin-sv-inspector            |                                                                  |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants           |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle             |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                       |
| @jbrowse/desktop                        |                                                                  |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view  |
| @jbrowse/web                            |                                                                  |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#1846](https://github.com/GMOD/jbrowse-components/pull/1846) Improve
    copy+paste in the data grids for feature details
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1814](https://github.com/GMOD/jbrowse-components/pull/1814) Add ability to
    get promoter sequence and intron sequence for genes from the feature details
    panel ([@cmdcolin](https://github.com/cmdcolin))
  - [#1816](https://github.com/GMOD/jbrowse-components/pull/1816) Remove some
    animation effects ([@cmdcolin](https://github.com/cmdcolin))
  - [#1778](https://github.com/GMOD/jbrowse-components/pull/1778) Adds dropdown
    to show drawer widget stack ([@teresam856](https://github.com/teresam856))
  - [#1685](https://github.com/GMOD/jbrowse-components/pull/1685) Change
    callbacks language from JavaScript to Jexl
    ([@peterkxie](https://github.com/peterkxie))
- Other
  - [#1831](https://github.com/GMOD/jbrowse-components/pull/1831) Add dialog for
    launching breakpoint split view from variant feature details
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1803](https://github.com/GMOD/jbrowse-components/pull/1803) Transcript and
    gene glyphs can now display implied UTRs, active by default
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1808](https://github.com/GMOD/jbrowse-components/pull/1808) Add another
    heuristic for returning gene features from BigBed
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1774](https://github.com/GMOD/jbrowse-components/pull/1774) Add warning
    dialog in LGV before returning to import form to prevent accidentally losing
    the current view ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- `core`
  - [#1811](https://github.com/GMOD/jbrowse-components/pull/1811) Check for
    existence of window more robustly to allow in SSR or node applications
    ([@elliothershberg](https://github.com/elliothershberg))
  - [#1793](https://github.com/GMOD/jbrowse-components/pull/1793) Fix dotplot
    rendering outside it's allowed bounds
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1783](https://github.com/GMOD/jbrowse-components/pull/1783) Add hic
    aborting and fix remoteAbort signal propagation
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1723](https://github.com/GMOD/jbrowse-components/pull/1723) A few bugfixes
    ([@garrettjstevens](https://github.com/garrettjstevens))
- Other
  - [#1815](https://github.com/GMOD/jbrowse-components/pull/1815) Clear tracks
    when using "Return to import form"
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1819](https://github.com/GMOD/jbrowse-components/pull/1819) Standardized
    sentence casing on drawer widget titles
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1796](https://github.com/GMOD/jbrowse-components/pull/1796) Bump
    generic-filehandle for fixing CORS errors from Chrome cache pollution
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#1824](https://github.com/GMOD/jbrowse-components/pull/1824) Add storybook
  docs page for nextjs usage
  ([@elliothershberg](https://github.com/elliothershberg))
- [#1770](https://github.com/GMOD/jbrowse-components/pull/1770) 1469 storybook
  deploy ([@elliothershberg](https://github.com/elliothershberg))
- [#1807](https://github.com/GMOD/jbrowse-components/pull/1807) Update developer
  guide to cover displays, and highlight working external plugins
  ([@cmdcolin](https://github.com/cmdcolin))
- [#1779](https://github.com/GMOD/jbrowse-components/pull/1779) Collaborative
  release announcement editing ([@rbuels](https://github.com/rbuels))
- [#1791](https://github.com/GMOD/jbrowse-components/pull/1791) Add a couple
  more demos for our live version with MDX
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- Other
  - [#1820](https://github.com/GMOD/jbrowse-components/pull/1820) Create
    v1.1.0.md, draft of release announcements
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1823](https://github.com/GMOD/jbrowse-components/pull/1823) Add note about
    previewing changelog to CONTRIBUTING.md
    ([@garrettjstevens](https://github.com/garrettjstevens))
- `core`
  - [#1834](https://github.com/GMOD/jbrowse-components/pull/1834) Change
    jbrowse-components monorepo default branch from 'master' to 'main'
    ([@rbuels](https://github.com/rbuels))

#### Committers: 6

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Elliot Hershberg ([@elliothershberg](https://github.com/elliothershberg))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Peter Xie ([@peterkxie](https://github.com/peterkxie))
- Robert Buels ([@rbuels](https://github.com/rbuels))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
