---
title: v1.2.0 Release
date: 2021-05-03
tags: ['release', 'jbrowse 2']
---

We're excited to announce the v1.2.0 release of JBrowse Web!

## New plugin store added to website

One of the core aspects of JBrowse 2 is that it is an extensible platform for
biological visualization that can be extended with plugins. We are excited to
introduce the first version of our plugin store, where we list the current
external plugins that are available. Check it out
[here](https://jbrowse.org/jb2/plugin_store). In the coming weeks, we will also
be bringing this plugin store directly into the application, allowing plugin
installation with the click of a button. Stay tuned!

## SVG export

We're excited to introduce a new feature to JBrowse Web: built-in SVG export of
track visualizations! This feature currently supports the linear genome view,
and will be extended to more views in future releases.

![](https://raw.githubusercontent.com/cmdcolin/jb2export/6e5486c1939499923045c011b33cfb96b125faba/img/1.png)

With the addition of this feature, it is now even easier to create
publication-ready screenshots of JBrowse views.

## Virtualized track lists

An important consideration for genomics software is scaling to very large
datasets. We have implemented a virtualization of our hierarchical track
selector, enabling it to support arbitrarily large track lists.

## Lazy loading

We have expanded our use of
[lazy loading](https://reactjs.org/docs/code-splitting.html#reactlazy), which
optimizes app performance and improves load times.

## Downloads

- [v1.2.0](https://github.com/GMOD/jbrowse-components/releases/tag/v1.2.0)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.2.0 (2021-05-03)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                         |
| --------------------------------------- | ---------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                      |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments         |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                |
| @jbrowse/plugin-breakpoint-split-view   |                                                                  |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view      |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config             |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management    |
| @jbrowse/plugin-dotplot-view            |                                                                  |
| @jbrowse/plugin-filtering               |                                                                  |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3               |
| @jbrowse/plugin-hic                     |                                                                  |
| @jbrowse/plugin-legacy-jbrowse          |                                                                  |
| @jbrowse/plugin-linear-comparative-view |                                                                  |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view |
| @jbrowse/plugin-lollipop                |                                                                  |
| @jbrowse/plugin-menus                   |                                                                  |
| @jbrowse/plugin-protein                 |                                                                  |
| @jbrowse/plugin-rdf                     |                                                                  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence           |
| @jbrowse/plugin-spreadsheet-view        |                                                                  |
| @jbrowse/plugin-sv-inspector            |                                                                  |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                |
| @jbrowse/plugin-trackhub-registry       |                                                                  |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants           |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle             |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                       |
| @jbrowse/desktop                        |                                                                  |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view  |
| @jbrowse/web                            |                                                                  |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#1125](https://github.com/GMOD/jbrowse-components/pull/1125) Export SVG
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1867](https://github.com/GMOD/jbrowse-components/pull/1867) Virtualized
    tree for tracklist to support having thousands of tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1660](https://github.com/GMOD/jbrowse-components/pull/1660) Allow
    connections to have multiple assemblies
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1864](https://github.com/GMOD/jbrowse-components/pull/1864) Add Material
    UI's DataGrid to re-exports
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1875](https://github.com/GMOD/jbrowse-components/pull/1875) Make drawer
    widget titles stay visible when scrolling inside the widget
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1877](https://github.com/GMOD/jbrowse-components/pull/1877) Add ability to
    copy the text produced by the feature details sequence panel to MS
    Word/Google Docs and preserve styling
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1854](https://github.com/GMOD/jbrowse-components/pull/1854) Make "About
    track" dialog available from tracklist and for non-LGV tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1853](https://github.com/GMOD/jbrowse-components/pull/1853) Add mouseovers
    in feature details that show field descriptions for VCF fields
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#1892](https://github.com/GMOD/jbrowse-components/pull/1892) Create new JB2
    plugin store ([@elliothershberg](https://github.com/elliothershberg))
  - [#1901](https://github.com/GMOD/jbrowse-components/pull/1901) Make using
    --out for add-assembly create output directory if it does not exist and fix
    outputting to symlink ([@cmdcolin](https://github.com/cmdcolin))
  - [#1850](https://github.com/GMOD/jbrowse-components/pull/1850) Add true
    breakend ALT strings to the feature details panel
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1878](https://github.com/GMOD/jbrowse-components/pull/1878) Add --delete
    to set-default-session, fix --session
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1861](https://github.com/GMOD/jbrowse-components/pull/1861) Change
    Alignments track "Fade mismatches by quality" setting to a separate config
    param and made it less strict ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- `core`
  - [#1924](https://github.com/GMOD/jbrowse-components/pull/1924) Fix import of
    BED and navToLocString from spreadsheet views
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1918](https://github.com/GMOD/jbrowse-components/pull/1918) Fix issue with
    some falsy values being hidden in feature details
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1911](https://github.com/GMOD/jbrowse-components/pull/1911) Fix breakpoint
    split view visualizations for files that need ref renaming (e.g. chr1 vs 1)
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1904](https://github.com/GMOD/jbrowse-components/pull/1904) Fix issue with
    synteny polygons displaying slightly offset
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1884](https://github.com/GMOD/jbrowse-components/pull/1884) Fix rIC
    ponyfill for use on Safari ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#1912](https://github.com/GMOD/jbrowse-components/pull/1912) Fix reloading
    of local sessions when using React.StrictMode
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1900](https://github.com/GMOD/jbrowse-components/pull/1900) Make clicking
    away from autocomplete popup on track container work
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1878](https://github.com/GMOD/jbrowse-components/pull/1878) Add --delete
    to set-default-session, fix --session
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1871](https://github.com/GMOD/jbrowse-components/pull/1871) Fix crash on
    dotplot/linear synteny import form and when closing linear synteny track
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1860](https://github.com/GMOD/jbrowse-components/pull/1860) Fix alignments
    read filter jexl syntax ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#1914](https://github.com/GMOD/jbrowse-components/pull/1914) Use MDX to add
  proper image captions in web and pdf documentation
  ([@cmdcolin](https://github.com/cmdcolin))
- [#1855](https://github.com/GMOD/jbrowse-components/pull/1855) Add download
  page in website header and new super-quick-start guide
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#1932](https://github.com/GMOD/jbrowse-components/pull/1932) Update
    analytics and share API URLs to refer to more stable locations
    ([@peterkxie](https://github.com/peterkxie))
  - [#1888](https://github.com/GMOD/jbrowse-components/pull/1888) More lazy
    loading of react components to reduce bundle size
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1790](https://github.com/GMOD/jbrowse-components/pull/1790) Allow
    MainThreadRpcDriver to skip serialization during RPC, improving main-thread
    rendering performance
    ([@garrettjstevens](https://github.com/garrettjstevens))
- Other
  - [#1926](https://github.com/GMOD/jbrowse-components/pull/1926) Update website
    to link to demos on cloudfront for better compression
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1868](https://github.com/GMOD/jbrowse-components/pull/1868) Export
    XYPlotRenderer and configSchema
    ([@elliothershberg](https://github.com/elliothershberg))
  - [#1863](https://github.com/GMOD/jbrowse-components/pull/1863) Update
    @gmod/indexedfasta ([@cmdcolin](https://github.com/cmdcolin))
  - [#1795](https://github.com/GMOD/jbrowse-components/pull/1795) Make
    LinearAlignmentsDisplay fully configurable in the UI
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#1822](https://github.com/GMOD/jbrowse-components/pull/1822) Let React LGV
    navigate without setting displayedRegion first
    ([@garrettjstevens](https://github.com/garrettjstevens))

#### Committers: 4

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Elliot Hershberg ([@elliothershberg](https://github.com/elliothershberg))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Peter Xie ([@peterkxie](https://github.com/peterkxie))
