---
title: v1.3.5 Release
date: 2021-08-23 15:52:32
tags: ['release', 'jbrowse 2']
---

We're excited to announce the v1.3.5 release of JBrowse! Some highlights of this
release include:

## New embedding build of `@jbrowse/react-linear-genome-view`

This release adds a new UMD build of our
[`@jbrowse/react-linear-genome-view`](https://www.npmjs.com/package/@jbrowse/react-linear-genome-view)
React component. This build will allow users to use our React Linear Genome View
in a website that doesn't otherwise use React. See a tutorial for how to get
started using this build:

- https://jbrowse.org/jb2/docs/tutorials/embed_linear_genome_view/01_introduction

A preliminary beta version of this build was used in a tutorial at BOSC2020, and
that tutorial was also on our website. If you've used that version, the
interface has changed somewhat, so come check out the new tutorial for the
official released version!

## Bookmark widget

A new widget has been added that is accessible from the Linear Genome View view
menu or when you click and drag over a region in the header (a.k.a rubber band
selection). This view keeps a list of bookmarked regions, which you can add
custom labels to, and also which you can use to navigate back to that region.
The bookmarks can also be exported.

![Bookmark widget in use](https://user-images.githubusercontent.com/19295181/130518189-d8fa8904-d52f-45b0-8403-34f08c23740e.gif)

## Note to plugin developers

If your plugin adds menu items or context menu items to a track, or customizes
`renderProps`, there may be some changes that affect how those menu items work,
particularly in [#2226](https://github.com/GMOD/jbrowse-components/pull/2226)
and [#2229](https://github.com/GMOD/jbrowse-components/pull/2229). Also see an
updated example of context menu items
[here](https://jbrowse.org/jb2/docs/developer_guide#adding-track-context-menu-items).

## Downloads

- [v1.3.5](https://github.com/GMOD/jbrowse-components/releases/tag/v1.3.5)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.3.5 (2021-08-23)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-lollipop                |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#2163](https://github.com/GMOD/jbrowse-components/pull/2163) Add new
    embeddable React Circular Genome View
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2229](https://github.com/GMOD/jbrowse-components/pull/2229) Use
    extendPluggableElement for context menu items
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2233](https://github.com/GMOD/jbrowse-components/pull/2233) Add optional
    chromSizes config slot to TwoBitAdapter to speed up loading of TwoBit files
    with many refseqs ([@cmdcolin](https://github.com/cmdcolin))
  - [#2199](https://github.com/GMOD/jbrowse-components/pull/2199) Make the BED
    parser not interpret general tab delimited data as BED12
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2241](https://github.com/GMOD/jbrowse-components/pull/2241) Restore
    previous window location when re-opening on desktop
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2203](https://github.com/GMOD/jbrowse-components/pull/2203) Add a helpful
    message if there is a 404 on config.json error
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2204](https://github.com/GMOD/jbrowse-components/pull/2204) Hide reads
    with unmapped flag by default in alignments tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2198](https://github.com/GMOD/jbrowse-components/pull/2198) Add better
    inversion visualization to read vs reference visualizations
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2154](https://github.com/GMOD/jbrowse-components/pull/2154) Add UMD build
    of react-linear-genome-view for plain-js use
    ([@garrettjstevens](https://github.com/garrettjstevens))
- `core`
  - [#2236](https://github.com/GMOD/jbrowse-components/pull/2236) Detect
    assembly loading error and encapsulate error instead of failing at app level
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2029](https://github.com/GMOD/jbrowse-components/pull/2029) Polish desktop
    builds ([@elliothershberg](https://github.com/elliothershberg))
  - [#2140](https://github.com/GMOD/jbrowse-components/pull/2140) New core
    plugin that adds a "bookmarked regions" list widget, new extension points
    system ([@elliothershberg](https://github.com/elliothershberg))

#### :bug: Bug Fix

- `core`
  - [#2245](https://github.com/GMOD/jbrowse-components/pull/2245) Fix missing
    regenerator runtime dependency in core
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2202](https://github.com/GMOD/jbrowse-components/pull/2202) Fixed a crash
    when an incompatible adapter is selected for provided data in 'open track'
    ([@carolinebridge-oicr](https://github.com/carolinebridge-oicr))
  - [#2197](https://github.com/GMOD/jbrowse-components/pull/2197) Fix handle
    leak for killed worker checker ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2208](https://github.com/GMOD/jbrowse-components/pull/2208) Fix issue
    where collapsed categories were not remembered after toggling a track
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#2192](https://github.com/GMOD/jbrowse-components/pull/2192) Update Linear
  Genome View embedding docs
  ([@garrettjstevens](https://github.com/garrettjstevens))

#### :house: Internal

- `core`
  - [#2057](https://github.com/GMOD/jbrowse-components/pull/2057) Use idMaker
    for dataAdapterCache key for faster FromConfigAdapter performance
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2231](https://github.com/GMOD/jbrowse-components/pull/2231) Export
    offscreenCanvasUtils ([@cmdcolin](https://github.com/cmdcolin))
  - [#2226](https://github.com/GMOD/jbrowse-components/pull/2226) Use
    superRenderProps and superTrackMenuItems for better simulated inheritance
    model ([@cmdcolin](https://github.com/cmdcolin))
  - [#1874](https://github.com/GMOD/jbrowse-components/pull/1874) Add aborting
    to CoreGetFeatures rpcManager call
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2232](https://github.com/GMOD/jbrowse-components/pull/2232) Remove
    filtering display type from core ([@cmdcolin](https://github.com/cmdcolin))
  - [#2234](https://github.com/GMOD/jbrowse-components/pull/2234) Add rootModel
    setError on jbrowse-desktop ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 4

- Caroline Bridge
  ([@carolinebridge-oicr](https://github.com/carolinebridge-oicr))
- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Elliot Hershberg ([@elliothershberg](https://github.com/elliothershberg))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
