---
title: v1.4.4 Release
date: 2021-09-14 12:17:41
tags: ['release', 'jbrowse 2']
---

We're excited to announce the v1.4.4 release! Some highlights of this release
include:

## Text searching

Finally, we have added the ability to search by gene name!

Users will now be able to create their own text indexes with the
`jbrowse text-index` command, which creates an index for searching by gene
names, identifiers and descriptions.

![searching in lgv](https://user-images.githubusercontent.com/45598764/132396329-f3fa9ed4-ace4-40b6-8eff-8289bbd3d2ca.gif)

GIF showing the process of searching via the location search box of the Linear
Genome View. Try it out yourself here, type your favorite gene name e.g. HER2,
PTEN, or others in the search box
https://jbrowse.org/code/jb2/v1.4.4/?config=test_data%2Fconfig_demo.json&session=share-H3vwqh1BKa&password=xYz9Z

For a quick introduction and a tutorial on how to add this feature to your
JBrowse instance, check out this
[quick start](/docs/quickstart_web#indexing-feature-names-for-searching)

Like most parts of JBrowse, the text searching system is pluggable. Plugin
developers can add new text index adapters to connect JBrowse to other types of
text search services, indexes, or databases.

Users of the @jbrowse/react-linear-genome-view can also enable text searching
functionality, see
https://jbrowse.org/storybook/lgv/v1.4.0/?path=/story/text-searching--page

Note that 1.4.0-1.4.3 had issues during publish, so we moved all release notes
for them to here. Thanks to @bbimber for letting us know about these issues.

## Downloads

- [v1.4.4](https://github.com/GMOD/jbrowse-components/releases/tag/v1.4.4)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.4.4 (2021-09-14)

<details><summary>Packages in this release</summary>
<p>

| Package                             | Download                                                          |
| ----------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/plugin-spreadsheet-view    |                                                                   |
| @jbrowse/plugin-trix                | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants            | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/desktop                    |                                                                   |
| @jbrowse/react-circular-genome-view | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view   | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                        |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#2287](https://github.com/GMOD/jbrowse-components/pull/2287) Use
    react-popper to reduce tooltip lag on pages with many elements
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2294](https://github.com/GMOD/jbrowse-components/pull/2294) Don't rely on
    SVTYPE=BND for breakend split view options and thicker mouseover chords on
    circular views ([@cmdcolin](https://github.com/cmdcolin))
  - [#2272](https://github.com/GMOD/jbrowse-components/pull/2272) Auto adjust
    box RefNameAutocomplete width based on refName length
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2243](https://github.com/GMOD/jbrowse-components/pull/2243) Import
    bookmarks functionality for grid bookmark widget
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#2247](https://github.com/GMOD/jbrowse-components/pull/2247) New
    jbrowse-desktop start screen design
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2254](https://github.com/GMOD/jbrowse-components/pull/2254) Better error
    reporting from web worker and chrom sizes adapter errors
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#1881](https://github.com/GMOD/jbrowse-components/pull/1881) Add new text
    searching functionality to core, with `jbrowse text-index` CLI command to
    generate trix index ([@teresam856](https://github.com/teresam856))

#### :bug: Bug Fix

- `core`
  - [#2320](https://github.com/GMOD/jbrowse-components/pull/2320) Fix issue
    where add track widget doesn't infer adapters on second usage
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2250](https://github.com/GMOD/jbrowse-components/pull/2250) Prevent the
    ToggleButton for the FileSelector toggling to local file when only URL
    should be available ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2309](https://github.com/GMOD/jbrowse-components/pull/2309) Fix mouseover
    selection appearing across unrelated blocks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2283](https://github.com/GMOD/jbrowse-components/pull/2283) Fix ability
    for the variant detail panel to create breakpoint split view for \<TRA\>
    elements ([@cmdcolin](https://github.com/cmdcolin))
  - [#2268](https://github.com/GMOD/jbrowse-components/pull/2268) Fix
    autocomplete height on small displays
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#2300](https://github.com/GMOD/jbrowse-components/pull/2300) Release
  announcement draft v1.4.0 ([@teresam856](https://github.com/teresam856))
- [#2310](https://github.com/GMOD/jbrowse-components/pull/2310) Add cancer demos
  to the demos page on website ([@cmdcolin](https://github.com/cmdcolin))
- [#2253](https://github.com/GMOD/jbrowse-components/pull/2253) Add note about
  legacy-peer-deps to embedded component readme
  ([@cmdcolin](https://github.com/cmdcolin))
- [#2262](https://github.com/GMOD/jbrowse-components/pull/2262) Add more MDX
  documentation pages to @jbrowse/react-linear-genome-view storybooks
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- [#2263](https://github.com/GMOD/jbrowse-components/pull/2263) Force publish
  all packages on release ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 3

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
- [@Akusem](https://github.com/Akusem)
