---
title: v1.5.1 Release
date: 2021-11-04 13:31:59
tags: ['release', 'jbrowse 2']
---

This is the release of v1.5.1 with a bunch of small improvements and bugfixes,
including...

## Cytoband overview

We can now display the cytoband data for your genome assembly in the linear
genome view overview, and this will now be available for hg19 and hg38 assembly
configs on JBrowse Desktop

![](/img/cytobands.png)

<!--
http://localhost:3000/?config=test_data%2Fconfig_demo.json&session=share-TSa1mZhU4h&password=37iWg
-->

This can also appear in SVG exports

![](/img/cytobands_svg.png)

## Plugins can integrate with "Add track" workflow better

Plugins that register new adapter types can integrate with the "Add track"
workflow by registering themselves for a particular file type or file extension
with the Core-guessAdapterForLocation

## Open plaintext FASTA file on JBrowse desktop

Users can now open a plain FASTA instead of an indexed FASTA on JBrowse desktop,
and it will create a .fai index on the fly

## Downloads

- [v1.5.1](https://github.com/GMOD/jbrowse-components/releases/tag/v1.5.1)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.5.1 (2021-11-04)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-authentication          |                                                                   |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-rdf                     |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| jbrowse-predefined-sessions             |                                                                   |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#2488](https://github.com/GMOD/jbrowse-components/pull/2488) Improve
    usability of the search result autocomplete when typing in via keyboard
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2267](https://github.com/GMOD/jbrowse-components/pull/2267) Add cytoband
    to overview scale bar in LGV ([@cmdcolin](https://github.com/cmdcolin))
  - [#2447](https://github.com/GMOD/jbrowse-components/pull/2447) Drawer widget
    tooltips and use position: fixed on fab
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2299](https://github.com/GMOD/jbrowse-components/pull/2299) Add new
    pluggable element type and properties to adapter type for registering
    adapter association with 'add track' workflow
    ([@carolinebridge-oicr](https://github.com/carolinebridge-oicr))
- Other
  - [#2484](https://github.com/GMOD/jbrowse-components/pull/2484) "Add custom
    plugin" dialog improvements ([@cmdcolin](https://github.com/cmdcolin))
  - [#2389](https://github.com/GMOD/jbrowse-components/pull/2389) Create
    plaintext GtfAdapter in plugins/gtf
    ([@teresam856](https://github.com/teresam856))
  - [#2443](https://github.com/GMOD/jbrowse-components/pull/2443) Support
    plaintext fasta on desktop by dynamically creating a FAI file on the fly
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2479](https://github.com/GMOD/jbrowse-components/pull/2479) Allow gzipped
    Gff3Adapter input and use 512MB limit
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2467](https://github.com/GMOD/jbrowse-components/pull/2467) Set default
    session dialog redesign ([@cmdcolin](https://github.com/cmdcolin))
  - [#2461](https://github.com/GMOD/jbrowse-components/pull/2461) Add assembly
    manager back into tools menu on jbrowse-desktop
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2442](https://github.com/GMOD/jbrowse-components/pull/2442) Add simple
    loading screen for LGV ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- Other
  - [#2494](https://github.com/GMOD/jbrowse-components/pull/2494) Add polyfill
    for text-index compatibility with node 10
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2492](https://github.com/GMOD/jbrowse-components/pull/2492) Fix ability to
    open breakpoint split view from a BEDPE row in SV inspector
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2480](https://github.com/GMOD/jbrowse-components/pull/2480) Fix refName
    renaming on VcfAdapter for files that don't have ##contig lines
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2469](https://github.com/GMOD/jbrowse-components/pull/2469) Fix embedded
    crash when opening dialogs
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2451](https://github.com/GMOD/jbrowse-components/pull/2451) Fix issue with
    intermittent text-index failures and improve speed
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2439](https://github.com/GMOD/jbrowse-components/pull/2439) Fix adding
    plugins on desktop ([@cmdcolin](https://github.com/cmdcolin))
  - [#2426](https://github.com/GMOD/jbrowse-components/pull/2426) Fix CLI
    create/upgrade failing to find the latest release
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#2457](https://github.com/GMOD/jbrowse-components/pull/2457) Fix linear
    synteny view import form failure ([@cmdcolin](https://github.com/cmdcolin))
  - [#2444](https://github.com/GMOD/jbrowse-components/pull/2444) Fix crash when
    chromSizesLocation not specified when loading TwoBitAdapter in GUI
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#2446](https://github.com/GMOD/jbrowse-components/pull/2446) Improve some CLI
  --help messages ([@cmdcolin](https://github.com/cmdcolin))
- [#2437](https://github.com/GMOD/jbrowse-components/pull/2437) Add example of
  defining and using a plugin with the embedded component
  ([@cmdcolin](https://github.com/cmdcolin))
- [#2430](https://github.com/GMOD/jbrowse-components/pull/2430) Website optimize
  for less layout shift ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#2445](https://github.com/GMOD/jbrowse-components/pull/2445) Create core
    snapshot error message component ([@cmdcolin](https://github.com/cmdcolin))
  - [#2288](https://github.com/GMOD/jbrowse-components/pull/2288) Add extra
    re-exports for default modules
    ([@garrettjstevens](https://github.com/garrettjstevens))

#### Committers: 4

- Caroline Bridge
  ([@carolinebridge-oicr](https://github.com/carolinebridge-oicr))
- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
