---
title: v1.5.5 Release
date: 2022-01-07 16:43:17
tags: ['release', 'jbrowse 2']
---

This release fixes an important bug for users of
@jbrowse/react-linear-genome-view where some features would not be able to be
clicked in v1.5.3 and v1.5.2.

It also adds some better layout in the feature details panel, improved
typescript interfaces, and allows users to open multiple genome assemblies from
the start screen in JBrowse Desktop

This release also supersedes v1.5.4 which failed to upload to npm properly

## Downloads

- [v1.5.5](https://github.com/GMOD/jbrowse-components/releases/tag/v1.5.5)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

<details><summary>Packages in this release</summary>
<p>

| Package                             | Download                                                          |
| ----------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                       | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/desktop                    |                                                                   |
| @jbrowse/img                        | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view   | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                        |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#2601](https://github.com/GMOD/jbrowse-components/pull/2601) Allow opening
    multiple sequences from the desktop start screen
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#2623](https://github.com/GMOD/jbrowse-components/pull/2623) Adjust label
    width on base feature detail to enforce better alignment
    ([@carolinebridge-oicr](https://github.com/carolinebridge-oicr))

#### :bug: Bug Fix

- Other
  - [#2612](https://github.com/GMOD/jbrowse-components/pull/2612) Fix ability to
    remove plugins ([@cmdcolin](https://github.com/cmdcolin))
  - [#2622](https://github.com/GMOD/jbrowse-components/pull/2622) Fix GUI color
    editor rgba string format
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2607](https://github.com/GMOD/jbrowse-components/pull/2607) Fix wiggle
    tooltip crash on non-numerical inputs
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#2626](https://github.com/GMOD/jbrowse-components/pull/2626) Fix bad layout
    resulting in features being unable to be clicked in embedded mode
    ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#2595](https://github.com/GMOD/jbrowse-components/pull/2595) Use some newly
    available TypeScript types
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2576](https://github.com/GMOD/jbrowse-components/pull/2576) Use TypeScript
    parameter properties
    ([@garrettjstevens](https://github.com/garrettjstevens))

#### Committers: 3

- Caroline Bridge
  ([@carolinebridge-oicr](https://github.com/carolinebridge-oicr))
- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
