---
title: v1.6.5 Release
date: 2022-02-18 20:48:27
tags: ['release', 'jbrowse 2']
---

We are pleased to announce v1.6.5!

This features some various bugfixes to the @jbrowse/cli tool, including better
support for large config files with the admin-server, and renaming --out to
--root for the admin-server.

It also includes two important fixes related to stats estimation in 1.6.4, one
where tracks would display an error on sparse tracks and another where tracks
would fail to perform stats estimation on BAM files due to a type confusion.

## Downloads

- [v1.6.5](https://github.com/GMOD/jbrowse-components/releases/tag/v1.6.5)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.6.5 (2022-02-18)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-authentication          |                                                                   |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- [#2736](https://github.com/GMOD/jbrowse-components/pull/2736) Add better
  display of error state in dotplot view and load gzipped PAF files
  ([@cmdcolin](https://github.com/cmdcolin))
- [#2705](https://github.com/GMOD/jbrowse-components/pull/2705) Increase
  admin-server payload limit
  ([@garrettjstevens](https://github.com/garrettjstevens))

#### :bug: Bug Fix

- Other
  - [#2758](https://github.com/GMOD/jbrowse-components/pull/2758) Use
    VariantTrack for plaintext VCF type
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2738](https://github.com/GMOD/jbrowse-components/pull/2738) Add better
    catch for XS and TS tag detection from CRAM
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2733](https://github.com/GMOD/jbrowse-components/pull/2733) Use sparse
    array for alignments coverage to fix bug viewing large sparse regions
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2734](https://github.com/GMOD/jbrowse-components/pull/2734) Use node fetch
    instead of follow-redirects in cli
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2726](https://github.com/GMOD/jbrowse-components/pull/2726) Handle .bgz
    file extension for text-index ([@cmdcolin](https://github.com/cmdcolin))
  - [#2727](https://github.com/GMOD/jbrowse-components/pull/2727) Add engines 16
    to @jbrowse/img ([@cmdcolin](https://github.com/cmdcolin))
  - [#2723](https://github.com/GMOD/jbrowse-components/pull/2723) Make jbrowse
    desktop more robust to errors when reading recent sessions file
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2715](https://github.com/GMOD/jbrowse-components/pull/2715) Change
    --target to --root for jbrowse CLI admin-server
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#2757](https://github.com/GMOD/jbrowse-components/pull/2757) Fix type
    confusion with stats estimation causing BAM files to fail byte size
    calculation ([@cmdcolin](https://github.com/cmdcolin))
  - [#2750](https://github.com/GMOD/jbrowse-components/pull/2750) Add
    bezierCurveTo to offscreen canvas ponyfill to fix sashimi arcs rendering in
    alignments track in webkit and firefox
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2719](https://github.com/GMOD/jbrowse-components/pull/2719) Avoid
    uninitialized state during stats estimation
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2707](https://github.com/GMOD/jbrowse-components/pull/2707) Fix ability to
    use authenticated assembly files
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2695](https://github.com/GMOD/jbrowse-components/pull/2695) Fix disabled
    state on the linear genome view track labels dropdown menu
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#2716](https://github.com/GMOD/jbrowse-components/pull/2716) Update to node12
  requirement for @jbrowse/cli ([@cmdcolin](https://github.com/cmdcolin))
- [#2605](https://github.com/GMOD/jbrowse-components/pull/2605) Developer guide
  reorganization and create new API document
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#2664](https://github.com/GMOD/jbrowse-components/pull/2664) Use babel
    config from core in root
    ([@garrettjstevens](https://github.com/garrettjstevens))

#### Committers: 3

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Sebastian Benjamin ([@hextraza](https://github.com/hextraza))
