---
title: v1.6.6 Release
date: 2022-03-15 22:28:27
tags: ['release', 'jbrowse 2']
---

We are pleased to release v1.6.6!

This contains several updated synteny features, including:

- load .chain files from UCSC
- load .delta files from mummer
- load .anchors and .anchors.simple files from MCScan from the GUI
- ability to "rectangularize" the dotplot view and improved dotplot view
  overviews (shows total bp of selected regions)

![](https://user-images.githubusercontent.com/6511937/157131973-1c8962cb-bea2-4bde-a4ee-a5a874d5f370.png)

Screenshot showing updated import form with ability to load MCScan data

![](https://user-images.githubusercontent.com/6511937/157134881-732f0e4b-d811-4515-8b41-6b44f0668611.png)

Screenshot showing multiple tracks open at once, with the .anchors (green, gene
pairs) and .anchors.simple (black, larger synteny blocks) files from MCScan
shown in the dotplot view

Note: MCScan functionality existed internally but was not easy to use. The
configuration schema for MCScan anchors files changed also to load the .bed
files at startup. See the config guide for details

We also have an updated configuration editor GUI with collapsible sections

![](https://user-images.githubusercontent.com/6511937/158277132-760f4c2b-8cfb-4fcf-84b8-3ad27ee76290.png)

Screenshot showing new collapsible (turquoise) sections in the config editor

A number of alignments track look and feel improvements were also added. The
scale bar was made to just list the min and max values when the height is small,
clip indicator position when horizontally flipped was fixed, and the headroom
was removed making the snpcoverage take up the full height of the small area it
uses.

![](https://user-images.githubusercontent.com/6511937/158481635-142063b3-0cba-424e-8e06-de6a89b9ef9f.png)

There have also been some changes to how internet accounts work. If you use one
of the built-in accounts like Google Drive or Dropbox, there's no need to change
anything. If you've implemented your own internet account, though, see
[#2725](https://github.com/GMOD/jbrowse-components/pull/2725) for more details.

## Downloads

- [v1.6.6](https://github.com/GMOD/jbrowse-components/releases/tag/v1.6.6)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.6.6 (2022-03-15)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/development-tools              | https://www.npmjs.com/package/@jbrowse/development-tools          |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-arc                     |                                                                   |
| @jbrowse/plugin-authentication          |                                                                   |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-comparative-adapters    |                                                                   |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-lollipop                |                                                                   |
| @jbrowse/plugin-menus                   |                                                                   |
| @jbrowse/plugin-protein                 |                                                                   |
| @jbrowse/plugin-rdf                     |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-trackhub-registry       |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| jbrowse-predefined-sessions             |                                                                   |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#2796](https://github.com/GMOD/jbrowse-components/pull/2796) Add
    collapsible accordion sections in configuration editor
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2791](https://github.com/GMOD/jbrowse-components/pull/2791) Add new
    coloring options for dotplot and ability to "rectangularize" dotplot view
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2741](https://github.com/GMOD/jbrowse-components/pull/2741) Allow ability
    to enter a space-separated locstring to open a list of regions
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2725](https://github.com/GMOD/jbrowse-components/pull/2725) Refactor
    InternetAccounts, add standard getFetcher
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#2787](https://github.com/GMOD/jbrowse-components/pull/2787) Display the
    total bp viewed in the header of the dotplot view
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2767](https://github.com/GMOD/jbrowse-components/pull/2767) Wiggle and
    SNPCoverage look and feel improvements
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2746](https://github.com/GMOD/jbrowse-components/pull/2746) Add .delta and
    .chain format adapters, fix ref name aliasing in synteny/dotplot views, and
    optimize very long CIGAR string in synteny view
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2799](https://github.com/GMOD/jbrowse-components/pull/2799) Exit process
    after rendering to speed up jb2export
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2793](https://github.com/GMOD/jbrowse-components/pull/2793) Add
    abortcontroller polyfill to jbrowse-img to allow it to run under node 14
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2761](https://github.com/GMOD/jbrowse-components/pull/2761) Add a --clean
    argument to `jbrowse upgrade` to clean up old files
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2760](https://github.com/GMOD/jbrowse-components/pull/2760) Make a
    configurable refNameColumn in RefNameAliasAdapter
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- `core`
  - [#2798](https://github.com/GMOD/jbrowse-components/pull/2798) Fix bug where
    web worker would sometimes be called before it was ready
    ([@garrettjstevens](https://github.com/garrettjstevens))
- Other
  - [#2797](https://github.com/GMOD/jbrowse-components/pull/2797) Fix crash
    plotting methylation in sparse regions
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2782](https://github.com/GMOD/jbrowse-components/pull/2782) Fix display of
    cytobands when horizontally flipped
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2678](https://github.com/GMOD/jbrowse-components/pull/2678) Preserve
    double border line when using trackLabel offset and use smaller gap between
    snpcoverage and reads ([@cmdcolin](https://github.com/cmdcolin))
  - [#2774](https://github.com/GMOD/jbrowse-components/pull/2774) Fix
    overwriting broken symlink with --force in add-track CLI
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2773](https://github.com/GMOD/jbrowse-components/pull/2773) Fix using
    global stats autoscale on wiggle tracks
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2766](https://github.com/GMOD/jbrowse-components/pull/2766) Add a check
    for empty content blocks to fix rare empty stats estimation
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#2804](https://github.com/GMOD/jbrowse-components/pull/2804) Add note about
  additional pre-requisites to README ([@cmdcolin](https://github.com/cmdcolin))
- [#2762](https://github.com/GMOD/jbrowse-components/pull/2762) Add bookmark
  widget docs to user guide ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- [#2813](https://github.com/GMOD/jbrowse-components/pull/2813) Create
  codeVerifierPKCE only when needed
  ([@garrettjstevens](https://github.com/garrettjstevens))
- [#2808](https://github.com/GMOD/jbrowse-components/pull/2808) Polyfill
  window.crypto.getRandomValues in tests
  ([@garrettjstevens](https://github.com/garrettjstevens))

#### Committers: 2

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
