---
title: v1.7.5 Release
date: 2022-04-26 00:13:33
tags: ['release', 'jbrowse 2']
---

We are pleased to present the release of v1.7.5

This release includes two major improvements

- Ability to index tracks for searching by gene names in JBrowse Desktop. This
  let's users choose per-track indexes in the add track widget interactively, or
  index them after-the-fact using the track menu.
- Removed serialization of BAM/CRAM features for pileup tracks which brings
  large performance benefits for jbrowse-web and jbrowse-desktop. Previously,
  all the BAM/CRAM features were serialized across the RPC boundary in
  jbrowse-web and jbrowse-desktop, but this was an expensive and memory
  intensive operation. Now, the BAM/CRAM features are not serialized, but the
  main thread has to manually request any data it needs from the worker after
  rendering (e.g. when we click a feature).

![](https://user-images.githubusercontent.com/6511937/165193301-fc573cac-2e5f-41f9-a91d-5ff5f9b94fcd.png)

Figure showing the "Index track" option in the track menu of JBrowse Desktop

![](https://user-images.githubusercontent.com/6511937/165193294-8905d757-0941-4f5c-85d6-61a831c9ad54.png)

Figure showing the "Index track" option in the add track widget of JBrowse
Desktop

![](https://user-images.githubusercontent.com/6511937/165193655-3d5482f3-2dec-423d-aab4-c7d54a180d11.png)

Figure showing performance improvement of the noserialize improvement compared
with v1.7.4, which brings the webworker performance in line with the embedded
app (which does no serialization)

This release also fixes a bug with using trix indexes created by
`jbrowse text-index` in v1.7.0-v1.7.4 (with the adjustable prefix size)

## Downloads

- [v1.7.5](https://github.com/GMOD/jbrowse-components/releases/tag/v1.7.5)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.7.5 (2022-04-26)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/text-indexing                  |                                                                   |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-jobs-management         |                                                                   |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-text-indexing           |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#2885](https://github.com/GMOD/jbrowse-components/pull/2885) Reduce
    serialization overhead on alignments tracks and access feature details
    asynchronously ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2935](https://github.com/GMOD/jbrowse-components/pull/2935) Use the name
    "Read Sequence" for the read vs ref view
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2916](https://github.com/GMOD/jbrowse-components/pull/2916) Add vite setup
    to our embedded component demos ([@cmdcolin](https://github.com/cmdcolin))
  - [#2927](https://github.com/GMOD/jbrowse-components/pull/2927) Optimize gtf
    by only parsing lazily per-refName
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2928](https://github.com/GMOD/jbrowse-components/pull/2928) Add
    vanillajs/script tag loading embedded components demos
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`, `text-indexing`
  - [#2684](https://github.com/GMOD/jbrowse-components/pull/2684) Text-indexing
    in desktop ([@teresam856](https://github.com/teresam856))

#### :bug: Bug Fix

- [#2863](https://github.com/GMOD/jbrowse-components/pull/2863) Render gene with
  CDS subfeatures properly ([@cmdcolin](https://github.com/cmdcolin))
- [#2934](https://github.com/GMOD/jbrowse-components/pull/2934) Bump @gmod/trix
  to fix prefix size calculation and searching first word in index
  ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 3

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
