---
title: v1.7.9 Release
date: 2022-06-02 20:53:56
tags: ['release', 'jbrowse 2']
---

We are pleased to present v1.7.9!

This release features several bugfixes and improvements submitted by community
members, including a CLI fix when specifying --indexFile with CSI files, and a
new feature to get FASTA metadata from an external file.

Additionally, we have switched to canvas2svg for SVG exports, which can now
handle more sophisticated operations like bezierCurves (used for sashimi-style
arc in RNA-seq data), and circles (used by jbrowse-plugin-gwas)

Before (note bad intron and lack of arcs rendered on bottom track)
![](https://user-images.githubusercontent.com/6511937/171530567-8401e44d-4ae9-4d84-b918-3b7dec4fc3ee.png)

After (fixed intron rendering and arcs)
![](https://user-images.githubusercontent.com/6511937/171530346-8466465f-fbae-49bd-a099-1acb2baddf1d.png)

## Downloads

- [v1.7.9](https://github.com/GMOD/jbrowse-components/releases/tag/v1.7.9)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.7.9 (2022-06-02)

<details><summary>Packages in this release</summary>
<p>

| Package                              | Download                                                          |
| ------------------------------------ | ----------------------------------------------------------------- |
| @jbrowse/core                        | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments           | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-comparative-adapters |                                                                   |
| @jbrowse/plugin-config               | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management      | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view         |                                                                   |
| @jbrowse/plugin-linear-genome-view   | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-sequence             | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view     |                                                                   |
| @jbrowse/plugin-variants             | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/cli                         | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                     |                                                                   |
| @jbrowse/img                         | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view  | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view    | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                         |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#2991](https://github.com/GMOD/jbrowse-components/pull/2991) Use canvas2svg
    for SVG export, fixes non-rasterized usage of bezier, arcs, and more
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#2483](https://github.com/GMOD/jbrowse-components/pull/2483) Add setting to
    color by query score per alignment for dotplot, support HTML in config slot
    descriptions ([@cmdcolin](https://github.com/cmdcolin))
  - [#2983](https://github.com/GMOD/jbrowse-components/pull/2983) Set
    target=\_blank by default in user HTML links
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2994](https://github.com/GMOD/jbrowse-components/pull/2994) Allow choosing
    filename for svg export ([@cmdcolin](https://github.com/cmdcolin))
  - [#2968](https://github.com/GMOD/jbrowse-components/pull/2968) Add FASTA
    metadata location to BgzipFastaAdapter and IndexFastaAdapter configuration
    ([@adamjohnwright](https://github.com/adamjohnwright))

#### :bug: Bug Fix

- `core`
  - [#2989](https://github.com/GMOD/jbrowse-components/pull/2989) Fix
    bezierCurveTo ponyfill on firefox ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#2977](https://github.com/GMOD/jbrowse-components/pull/2977) Respect
    --indexFile option when adding VCF and BED tracks
    ([@heavywatal](https://github.com/heavywatal))
  - [#2974](https://github.com/GMOD/jbrowse-components/pull/2974) Fix track
    indexing being ignored after first add track widget usage
    ([@teresam856](https://github.com/teresam856))

#### :house: Internal

- [#2980](https://github.com/GMOD/jbrowse-components/pull/2980) Remove errors
  related to test coverage in CI ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 4

- Adam Wright ([@adamjohnwright](https://github.com/adamjohnwright))
- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Teresa Martinez ([@teresam856](https://github.com/teresam856))
- Watal M. Iwasaki ([@heavywatal](https://github.com/heavywatal))
