---
title: v1.7.11 Release
date: 2022-06-22 20:15:49
tags: ['release', 'jbrowse 2']
---

We are excited to announce v1.7.11!

This release has some relatively small fixes to the UI, docs, and examples. For
developers, they may notice that we have removed `node-canvas` due to it's need
for having extra system dependencies, and becuase it only really was needed in
niche circumstances. This will improve the ease of installing packages like
`@jbrowse/react-linear-genome-view`.

## Downloads

- [v1.7.11](https://github.com/GMOD/jbrowse-components/releases/tag/v1.7.11)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 1.7.11 (2022-06-22)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/text-indexing                  |                                                                   |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-arc                     |                                                                   |
| @jbrowse/plugin-authentication          |                                                                   |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-comparative-adapters    |                                                                   |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-jobs-management         |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-lollipop                |                                                                   |
| @jbrowse/plugin-menus                   |                                                                   |
| @jbrowse/plugin-protein                 |                                                                   |
| @jbrowse/plugin-rdf                     |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-text-indexing           |                                                                   |
| @jbrowse/plugin-trackhub-registry       |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| jbrowse-predefined-sessions             |                                                                   |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#3044](https://github.com/GMOD/jbrowse-components/pull/3044) Remove
    node-canvas from @jbrowse/core dependencies
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3041](https://github.com/GMOD/jbrowse-components/pull/3041) Fix ability to
    search and load data files using lower case refName aliases
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3042](https://github.com/GMOD/jbrowse-components/pull/3042) Add fetch with
    proxy support to jbrowse CLI ([@cmdcolin](https://github.com/cmdcolin))
  - [#3038](https://github.com/GMOD/jbrowse-components/pull/3038) Display
    coordinates in overview scalebar when no cytoband available
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3015](https://github.com/GMOD/jbrowse-components/pull/3015) Add plaintext
    bed support with BedAdapter ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- [#3049](https://github.com/GMOD/jbrowse-components/pull/3049) Fix ability to
  use callbacks for the linear arc renderer
  ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#2831](https://github.com/GMOD/jbrowse-components/pull/2831) Update commands
  for sorting GFF3 for tabix ([@cmdcolin](https://github.com/cmdcolin))
- [#3018](https://github.com/GMOD/jbrowse-components/pull/3018) Add desktop
  specific plugin example ([@cmdcolin](https://github.com/cmdcolin))
- [#3022](https://github.com/GMOD/jbrowse-components/pull/3022) Add example
  using embedded components with next.js
  ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#3035](https://github.com/GMOD/jbrowse-components/pull/3035) Add
    typescripting to hierarchical track selector
    ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 1

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
