---
title: v2.0.1 Release
date: 2022-07-13 20:56:01
tags: ['release', 'jbrowse 2']
---

We are pleased to announce 2.0.1

This release features the ability to mouseover and click synteny alignments on
the linear synteny view

![](https://user-images.githubusercontent.com/6511937/178566572-6fb7600b-172f-4317-8a6d-1318310d2baf.png)

If there are base level alignments, either from the read vs ref view or e.g. a
PAF file generated with minimap -c (outputs CIGAR), then you can also mouse over
to get information about the particular part of that alignment e.g. the CIGAR
string

![](https://user-images.githubusercontent.com/6511937/178847662-9c915393-91c8-4d04-be91-9d7987b5e1a9.png)
Figure showing a mouseover inside a deletion in the read vs ref view

This release also has some other small fixes and improvements, see release
notes!

## Downloads

- [v2.0.1](https://github.com/GMOD/jbrowse-components/releases/tag/v2.0.1)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.0.1 (2022-07-13)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-arc                     |                                                                   |
| @jbrowse/plugin-authentication          |                                                                   |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-comparative-adapters    |                                                                   |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-jobs-management         |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-lollipop                |                                                                   |
| @jbrowse/plugin-menus                   |                                                                   |
| @jbrowse/plugin-protein                 |                                                                   |
| @jbrowse/plugin-rdf                     |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-text-indexing           |                                                                   |
| @jbrowse/plugin-trackhub-registry       |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#3089](https://github.com/GMOD/jbrowse-components/pull/3089) Clarify error
    message when adapter has no features
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#3084](https://github.com/GMOD/jbrowse-components/pull/3084) Show a
    descriptive error if an adapter doesn't provide a sequence
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#3071](https://github.com/GMOD/jbrowse-components/pull/3071) Add ability to
    mouseover/click on synteny feature polygons in the linear synteny view
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3081](https://github.com/GMOD/jbrowse-components/pull/3081) Add ability to
    toggle gridlines on the LGV ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- Other
  - [#3088](https://github.com/GMOD/jbrowse-components/pull/3088) Fix labels
    being cut-off in SVG features by rendering feature labels on main thread
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3085](https://github.com/GMOD/jbrowse-components/pull/3085) Fix zoom to
    behavior being inaccurate with many displayed regions visible
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3082](https://github.com/GMOD/jbrowse-components/pull/3082) Fix negative
    strand CIGAR renderings on linear synteny view
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3077](https://github.com/GMOD/jbrowse-components/pull/3077) Fix crash
    opening multiple synteny track selectors launched from dotplot view
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3086](https://github.com/GMOD/jbrowse-components/pull/3086) Fix pxToBp and
    bpToPx calculations when there are many displayed regions
    ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 2

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
