---
title: v2.1.0 Release
date: 2022-07-28 22:05:11
tags: ['release', 'jbrowse 2']
---

We are pleased to present 2.1.0! This release adds some significant new features
including:

- Multi-wiggle tracks - This allows, for example, multiple bigwig files to be
  displayed in a single track with synchronized scalebar settings. See
  [multi-wiggle docs](/jb2/docs/user_guides/multiquantitative_track) for more
  info.
- Undo and redo functionality, let's you undo an operation in the UI e.g.
  closing a view, closing a track can be recovered
- An alert when the dotplot view renders features that go beyond the bounds of
  the selected region. This is often an indication that the wrong assembly is
  being used or the query and target are backwards

Example links for multi-bigwig sessions

- ENCODE bigWigs
  https://jbrowse.org/code/jb2/v2.1.0/?config=test_data%2Fconfig_demo.json&session=share-Pw7kOjagSF&password=e0SuE

- COLO829 Tumor vs Normal coverage bigWigs
  https://jbrowse.org/code/jb2/v2.1.0/?config=test_data%2Fconfig_demo.json&session=share-J4owOIkT0F&password=orr2h

![](https://user-images.githubusercontent.com/6511937/181639088-9159d60d-a49d-4601-bfb8-6201a26dc185.png)

Multi-row plot showing 21 ENCODE bigWig tracks

![](https://user-images.githubusercontent.com/6511937/181639797-69294456-cbe6-403a-9131-98af27c849f3.png)

Overlapping "xyplot" rendering multiwiggle rendering mode with "emphasised"
points showing tumor vs normal coverage

![](https://user-images.githubusercontent.com/6511937/181640836-76257585-bfde-4568-8f44-dbf2590131cb.png)

Dotplot view showing warnings from rendering dotplot, generally due to the wrong
assemblies being compared. Screenshot also shows the dropdown menu to choose
whether mouse click-and-drag pans the view or selects a region

![](https://user-images.githubusercontent.com/6511937/181638930-730a522d-b58e-4505-a83a-7eb5ff1fe34d.png)

Undo and redo buttons in the Tools menu, also accessible from keyboard shortcuts
ctrl+z/ctrl+y and cmd+z/cmd+shift+z. The Undo/Redo function is available in
jbrowse-web and jbrowse-desktop currently

## Downloads

- [v2.1.0](https://github.com/GMOD/jbrowse-components/releases/tag/v2.1.0)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.1.0 (2022-07-28)

<details><summary>Packages in this release</summary>
<p>

| Package                              | Download                                                          |
| ------------------------------------ | ----------------------------------------------------------------- |
| @jbrowse/core                        | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments           | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-authentication       |                                                                   |
| @jbrowse/plugin-bed                  | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-comparative-adapters |                                                                   |
| @jbrowse/plugin-config               | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management      | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view         |                                                                   |
| @jbrowse/plugin-hic                  |                                                                   |
| @jbrowse/plugin-legacy-jbrowse       | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-genome-view   | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-menus                |                                                                   |
| @jbrowse/plugin-sequence             | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view     |                                                                   |
| @jbrowse/plugin-svg                  | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-trix                 | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants             | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle               | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/desktop                     |                                                                   |
| @jbrowse/img                         | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view  | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view    | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                         |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#3111](https://github.com/GMOD/jbrowse-components/pull/3111) Create undo
    manager in jbrowse-web and jbrowse-desktop
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3115](https://github.com/GMOD/jbrowse-components/pull/3115) Add warning
    when dotplot renders outside of it's boundaries, and create click-and-drag
    panning of dotplot view ([@cmdcolin](https://github.com/cmdcolin))
  - [#3102](https://github.com/GMOD/jbrowse-components/pull/3102) Allow creating
    alternative "add track workflows" from within the "Add track" widget
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3043](https://github.com/GMOD/jbrowse-components/pull/3043) Create
    MultiWiggle track type, adapter, and renderers
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3113](https://github.com/GMOD/jbrowse-components/pull/3113) Improve SVG
    performance by avoiding re-render when feature is clicked
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3110](https://github.com/GMOD/jbrowse-components/pull/3110) Remove TSDX
    from plugin development tools
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#3106](https://github.com/GMOD/jbrowse-components/pull/3106) Add "emphasis"
    mode for no fill/scatterplot mode in XYPlot type renderings
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- Other
  - [#3109](https://github.com/GMOD/jbrowse-components/pull/3109) Better support
    for developing plugins from within yarn 2+ workspaces (include \_\_virtual
    folder in build) ([@garrettjstevens](https://github.com/garrettjstevens))
- `core`
  - [#3095](https://github.com/GMOD/jbrowse-components/pull/3095) Add MUI
    exports to re-exports list
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#3092](https://github.com/GMOD/jbrowse-components/pull/3092) Fix use of
    embedded components with vite 3.0 using tsc to compile @jbrowse/core
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#3116](https://github.com/GMOD/jbrowse-components/pull/3116) Add docs for
  multi-wiggle tracks ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 2

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
