---
title: v2.1.6 Release
date: 2022-10-19 21:51:27
tags: ['release', 'jbrowse 2']
---

We are happy to release v2.1.6

This has several important fixes and improvements

- Tracks no longer hang in "Loading..." state under Safari and Webkit based
  browsers, a bug with starting the webworker was fixed
- There is now an option to use the WebWorkerRpc on the
  @jbrowse/react-linear-genome-view. This is a great improvement because the
  WebWorkerRpc dramatically reduces the "stalling" of the main thread when large
  datasets like BAM/CRAM are being loaded. See
  https://jbrowse.org/storybook/lgv/main/?path=/story/using-webworker-rpc--page
  for more info!
- All feature types, not just gene features, can obtain the underlying feature
  sequence with upstream/downstream options
- The ability to refer to plugins in a path relative to your data directory has
  been fixed, so you can easily refer to plugins in your config file with e.g.
  `"plugins":[{"name":"MyPlugin","umdLoc":{"uri":"myplugin.js"}}]` (`umdLoc`
  resolves the uri relative to the config.json file that it is in use). There is
  also `umdUrl` which can be used in place of `umdLoc` which can be used like
  this `"plugins":[{"name":"MyPlugin","umdUrl":"myplugin.js"}]` and this will
  resolve relative to the jbrowse root directory e.g. where the index.html is.
  We recommend using UMD for now, as ESM modules do not have full browser
  support e.g. in firefox yet, but this will likely be changing soon and we will
  update tutorials when this occurs!

See our volvox example for a simple no-build plugin
https://github.com/GMOD/jbrowse-components/blob/main/test_data/volvox/umd_plugin.js
along with it's config
https://github.com/GMOD/jbrowse-components/blob/main/test_data/volvox/config.json
and see our no-build plugin tutorial!
https://jbrowse.org/jb2/docs/tutorials/no_build_plugin_tutorial/

![](https://user-images.githubusercontent.com/6511937/196806717-5b94a8cd-38fa-4861-9692-393158a5b2b0.png)

Screenshot of the feature sequence panel showing on a SNP, allowing you to get
upstream and downstream sequence of the SNP

## Downloads

- [v2.1.6](https://github.com/GMOD/jbrowse-components/releases/tag/v2.1.6)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.1.6 (2022-10-19)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/text-indexing                  |                                                                   |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-arc                     |                                                                   |
| @jbrowse/plugin-authentication          |                                                                   |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-comparative-adapters    |                                                                   |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-jobs-management         |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-lollipop                |                                                                   |
| @jbrowse/plugin-menus                   |                                                                   |
| @jbrowse/plugin-protein                 |                                                                   |
| @jbrowse/plugin-rdf                     |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-text-indexing           |                                                                   |
| @jbrowse/plugin-trackhub-registry       |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| jbrowse-predefined-sessions             |                                                                   |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#3272](https://github.com/GMOD/jbrowse-components/pull/3272) Disable
    resolution of Derives_from fields in GFF3 parsing, fixes TAIR gff
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3254](https://github.com/GMOD/jbrowse-components/pull/3254) Use tick
    labels that correspond to the overview's larger zoom level
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3230](https://github.com/GMOD/jbrowse-components/pull/3230) Add ability to
    customize About dialog with callbacks and optionally hide links to data
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3275](https://github.com/GMOD/jbrowse-components/pull/3275) Add help
    dialog for feature sequence panel ([@cmdcolin](https://github.com/cmdcolin))
  - [#3250](https://github.com/GMOD/jbrowse-components/pull/3250) Handle
    alternate line endings
    ([@garrettjstevens](https://github.com/garrettjstevens))
  - [#3252](https://github.com/GMOD/jbrowse-components/pull/3252) Fix gene
    sequence fetching in embedded, and allow fetching genomic sequence for other
    feature types ([@cmdcolin](https://github.com/cmdcolin))
- `core`, `text-indexing`
  - [#3276](https://github.com/GMOD/jbrowse-components/pull/3276) Allow using
    web worker RPC on embedded LGV ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- `core`
  - [#3266](https://github.com/GMOD/jbrowse-components/pull/3266) Fix relative
    path loading of plugins ([@cmdcolin](https://github.com/cmdcolin))
  - [#3269](https://github.com/GMOD/jbrowse-components/pull/3269) Fix ability to
    rename session in web/desktop ([@cmdcolin](https://github.com/cmdcolin))
  - [#3256](https://github.com/GMOD/jbrowse-components/pull/3256) Fix tracks
    hanging in safari and polyfill for bigwig tracks
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3274](https://github.com/GMOD/jbrowse-components/pull/3274) Update bbi-js
    for bugfix on webpack 4 ([@cmdcolin](https://github.com/cmdcolin))
  - [#3259](https://github.com/GMOD/jbrowse-components/pull/3259) Fix issue with
    breakpoint split view using view before initialized
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#3255](https://github.com/GMOD/jbrowse-components/pull/3255) Add more docs
  about color callbacks ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#3261](https://github.com/GMOD/jbrowse-components/pull/3261) Fix for flaky
    test ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 3

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
- Scott Cain ([@scottcain](https://github.com/scottcain))
