---
title: v2.2.2 Release
date: 2022-12-06 22:34:44
tags: ['release', 'jbrowse 2']
---

Hello all, this release contains a bugfix for the circular view and breakpoint
split view with "TRA" type features not being displayed. See release notes below
for a couple other small bugfixes and enhancements.

## Downloads

- [v2.2.2](https://github.com/GMOD/jbrowse-components/releases/tag/v2.2.2)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.2.2 (2022-12-06)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/text-indexing                  |                                                                   |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-arc                     |                                                                   |
| @jbrowse/plugin-authentication          | https://www.npmjs.com/package/@jbrowse/plugin-authentication      |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-comparative-adapters    |                                                                   |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gccontent               | https://www.npmjs.com/package/@jbrowse/plugin-gccontent           |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-jobs-management         |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-lollipop                |                                                                   |
| @jbrowse/plugin-menus                   |                                                                   |
| @jbrowse/plugin-protein                 |                                                                   |
| @jbrowse/plugin-rdf                     |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-text-indexing           |                                                                   |
| @jbrowse/plugin-trackhub-registry       |                                                                   |
| @jbrowse/plugin-trix                    | https://www.npmjs.com/package/@jbrowse/plugin-trix                |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#3350](https://github.com/GMOD/jbrowse-components/pull/3350) Retain feature
    labels in compact display mode for SVG features, and allow keeping feature
    description without feature label ([@cmdcolin](https://github.com/cmdcolin))
  - [#3357](https://github.com/GMOD/jbrowse-components/pull/3357) Allow holding
    shift key to create rubberband selection on LGV
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3363](https://github.com/GMOD/jbrowse-components/pull/3363) Create
    remove-track CLI command ([@cmdcolin](https://github.com/cmdcolin))
  - [#3341](https://github.com/GMOD/jbrowse-components/pull/3341) Add BEDPE
    adapter type ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3359](https://github.com/GMOD/jbrowse-components/pull/3359) Fix typos in
    codebase using typos-cli ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- Other
  - [#3377](https://github.com/GMOD/jbrowse-components/pull/3377) Fix rendering
    and clicking synteny features when using MainThreadRpc
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3375](https://github.com/GMOD/jbrowse-components/pull/3375) Fix
    `jbrowse upgrade` CLI command overwriting config.json with --branch or
    --nightly options ([@cmdcolin](https://github.com/cmdcolin))
  - [#3370](https://github.com/GMOD/jbrowse-components/pull/3370) Fix error with
    SNPCoverage not rendering MM tag modifications in some cases
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3366](https://github.com/GMOD/jbrowse-components/pull/3366) Fix ability to
    use LGV synteny track on inverted alignments
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3348](https://github.com/GMOD/jbrowse-components/pull/3348) Fix for
    breakpoint split view and circular view issues with `<TRA>` type entries in
    v2.2.1 ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3369](https://github.com/GMOD/jbrowse-components/pull/3369) Fix uncaught
    promise errors and add lint rule for catching these
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#3347](https://github.com/GMOD/jbrowse-components/pull/3347) Reduce number of
  quickstart guides ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `core`
  - [#3368](https://github.com/GMOD/jbrowse-components/pull/3368) Create base
    "Dialog" component to standardize dialogs across codebase
    ([@cmdcolin](https://github.com/cmdcolin))
- `text-indexing`
  - [#3344](https://github.com/GMOD/jbrowse-components/pull/3344) fix yarn build
    error in Windows ([@Lilas-w](https://github.com/Lilas-w))

#### Committers: 2

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- [@Lilas-w](https://github.com/Lilas-w)
