---
title: v2.3.1 Release
date: 2022-12-15 22:20:37
tags: ['release', 'jbrowse 2']
---

Hello all! This release adds some great new features!

- New "arc" and "read cloud" alignments track modes which render long range
  connections between read pairs/split reads. These views have a big impact on
  being able to visualize structural variants.

- We now automatically optimize the "prefix size" for our trix indexes created
  by `jbrowse text-index` which should help solve issues with slow text
  searching.

- We now refer to many pluggable elements by a "display name" instead of the
  coded class name so we have instead of "LinearGCContentDisplay" -> "GC content
  display".

### New alignments track displays

We created a new display mode that changes the "pileup" of reads into "arcs"
which connects both paired-end reads and split-long read alignments.

![](https://user-images.githubusercontent.com/6511937/205725535-6b058cc6-7dba-41e9-ac2a-eba4ee881d89.png)

New track menu showing the ability to replace the "lower panel" with arc display
or read cloud display

![](https://user-images.githubusercontent.com/6511937/205730944-07347472-a9e6-44b9-8c8c-ca4380a3c75a.png)

The arc view and read cloud view rendering across discontinuous displayedRegions

![](https://user-images.githubusercontent.com/6511937/207134568-577cdcb3-4458-4e71-8063-aa493a21593c.png)

A zoomed in view of long-reads (top) and paired-end reads (bottom) at the
breakpoint of a large deletion

## Easily toggleable "compact" view of alignments

![](https://user-images.githubusercontent.com/6511937/207207662-50778dfe-ffa8-4ca1-93fe-febcda3fdcb7.png)

We now have an easily toggleable compact setting on alignments tracks
(previously had to manually change feature height)

## Optimized prefix size for text search indexing

Previously, if indexing long gene IDs with `jbrowse text-index` it would often
be slow because the "trix" format is generally optimized for short gene symbols.
We added the --prefixSize parameter in previous jbrowse versions to allow
optimizing for specific gene ID lengths, but this was sort of a magic number.
Now, `jbrowse text-index` will automatically calculate the --prefixSize if none
is provided, which tries to get an even ~64kb bin size. Let us know how it goes
for your data!

Re-install the CLI tools with e.g. `npm install -g @jbrowse/cli` to get the
latest version with this feature.

## Moved "Track Hub Registry" plugin to plugin store

We removed the "Track Hub Registry" plugin, which was previously a "core
plugin", to the plugin store. This will allow us to update the plugin over time
and respond better to issues when they change their remote API.

## Downloads

- [v2.3.1](https://github.com/GMOD/jbrowse-components/releases/tag/v2.3.1)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

<details><summary>Packages in this release</summary>
<p>

| Package                             | Download                                                          |
| ----------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/desktop                    |                                                                   |
| @jbrowse/img                        | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view   | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#3403](https://github.com/GMOD/jbrowse-components/pull/3403) Reduce
    overplotting on dotplot grid lines and other misc improvements
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3381](https://github.com/GMOD/jbrowse-components/pull/3381) Add method for
    cache busting requests to the config file in jbrowse-web
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3384](https://github.com/GMOD/jbrowse-components/pull/3384) Add method to
    more easily create compact view of alignments
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3391](https://github.com/GMOD/jbrowse-components/pull/3391) Allow arc
    display to connect to "unpaired" positions using RNEXT/PNEXT or SA tag
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3387](https://github.com/GMOD/jbrowse-components/pull/3387) Small UI
    tweaks for add track workflow ([@cmdcolin](https://github.com/cmdcolin))
  - [#3358](https://github.com/GMOD/jbrowse-components/pull/3358) Create new
    "arc" display type to show long range connections between paired-end and
    split-reads ([@cmdcolin](https://github.com/cmdcolin))
- `text-indexing`
  - [#3385](https://github.com/GMOD/jbrowse-components/pull/3385) Optimize
    prefix size for text indexing automatically
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- Other
  - [#3407](https://github.com/GMOD/jbrowse-components/pull/3407) Remove
    trackhub registry plugin from core plugins, moved to plugin store
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3406](https://github.com/GMOD/jbrowse-components/pull/3406) Fix loading
    connection tracks from connections that don't specify assemblyNames in
    config ([@cmdcolin](https://github.com/cmdcolin))
  - [#3390](https://github.com/GMOD/jbrowse-components/pull/3390) Fix
    positioning within large alignments for query->target LGV synteny navigation
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3388](https://github.com/GMOD/jbrowse-components/pull/3388) Fix search
    result that matches synonyms that matches multiple locations
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3404](https://github.com/GMOD/jbrowse-components/pull/3404) Fix
    double-render of some synteny features
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3401](https://github.com/GMOD/jbrowse-components/pull/3401) Remove
    y-scalebar rendering placeholder values in blank and loading states
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3389](https://github.com/GMOD/jbrowse-components/pull/3389) Fix issue
    where snackbar would not show up when same error message is triggered
    multiple times ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- `core`
  - [#3396](https://github.com/GMOD/jbrowse-components/pull/3396) Use prettier
    to word wrap markdown prose ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3383](https://github.com/GMOD/jbrowse-components/pull/3383) Add note to
    user guide about variant callers that can be used for SV inspector
    ([@cmdcolin](https://github.com/cmdcolin))

#### :house: Internal

- `__mocks__`, `core`, `text-indexing`
  - [#3400](https://github.com/GMOD/jbrowse-components/pull/3400) Reduce
    peerDependency warnings from installing dev environment
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3394](https://github.com/GMOD/jbrowse-components/pull/3394) Simplify RPC
    watchWorker ([@cmdcolin](https://github.com/cmdcolin))
  - [#3386](https://github.com/GMOD/jbrowse-components/pull/3386) Fix warning
    when rendering circular chord displays with web worker RPC
    ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 1

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
