---
title: v2.3.2 Release
date: 2022-12-20 21:59:19
tags: ['release', 'jbrowse 2']
---

This release contains important fixes for drawing base-level synteny based on
CIGAR strings, especially in inverted regions. We also fixed refName renaming
(e.g. your BAM file has 'chr1' but the FASTA has '1') on the new arc display
(see v2.3.1).

Additionally, it offers the ability to reverse/complement the sequence in the
"Get sequence" dialog.

![](https://user-images.githubusercontent.com/6511937/208767035-90f1fb23-0fa4-468a-8095-14dc597014b2.png)

Screenshot showing how insertions from relative to one assembly exactly match up
at a "deletion" relative to another, using the LGV synteny display and curved
arcs. Previous versions had bugs but will now match exactly.

![](https://user-images.githubusercontent.com/6511937/208579806-0b896208-4298-4620-8f7d-5c7d63e73397.png)

Screenshot showing the reverse and complement checkboxes in the Get sequence
dialog

## Downloads

- [v2.3.2](https://github.com/GMOD/jbrowse-components/releases/tag/v2.3.2)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.3.2 (2022-12-20)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-bed                     | https://www.npmjs.com/package/@jbrowse/plugin-bed                 |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-comparative-adapters    |                                                                   |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-gccontent               | https://www.npmjs.com/package/@jbrowse/plugin-gccontent           |
| @jbrowse/plugin-gff3                    | https://www.npmjs.com/package/@jbrowse/plugin-gff3                |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#3422](https://github.com/GMOD/jbrowse-components/pull/3422) Auto-adjust
    height of reference sequence track to current settings
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3421](https://github.com/GMOD/jbrowse-components/pull/3421) Add ability to
    revcomp sequence in the "Get sequence" dialog
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3413](https://github.com/GMOD/jbrowse-components/pull/3413) Add a "base"
    set of tracks and assemblies for the embedded demos
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- [#3419](https://github.com/GMOD/jbrowse-components/pull/3419) Fix rendering
  base-level alignments on synteny visualizations, especially in inverted
  regions ([@cmdcolin](https://github.com/cmdcolin))
- [#3416](https://github.com/GMOD/jbrowse-components/pull/3416) Fix rendering
  alignment arcs on files that need refname renaming and add jitter setting
  ([@cmdcolin](https://github.com/cmdcolin))
- [#3415](https://github.com/GMOD/jbrowse-components/pull/3415) Fix circular
  view being rendered as a blank area if tab is opened in the background
  ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 1

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
