---
title: v2.3.4 Release
date: 2023-02-01 22:53:40
tags: ['release', 'jbrowse 2']
---

Hello all,

This release incorporates a "faceted track selector" similar to JBrowse 1. This
track selector is available by default as an alternative to the hierarchical
selector, to give users the "best of both worlds"

![](https://user-images.githubusercontent.com/6511937/216159433-e2ef2994-dd85-4283-a942-23cecbb75356.png)

The faceted selector is a dialog box that is opened from a button "Open faceted
selector" at the top of the hierarchical selector.

There are a couple other important bugfixes relating to horizontal flipping in
the synteny view, and selecting features in the synteny view.

We really enjoyed meeting everyone at PAG 2023 and hearing all the feedback
everyone had! We hope to continue rolling out more improvements over the coming
year :)

## Downloads

- [v2.3.4](https://github.com/GMOD/jbrowse-components/releases/tag/v2.3.4)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.3.4 (2023-02-01)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- `core`
  - [#3494](https://github.com/GMOD/jbrowse-components/pull/3494) Use
    transitionDuration 0 as defaultProp in theme for both popovers and menus
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3488](https://github.com/GMOD/jbrowse-components/pull/3488) Render HTML in
    faceted track selector for track data/metadata
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3483](https://github.com/GMOD/jbrowse-components/pull/3483) Add
    anchorOrigin/transformOrigin to default menu component
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3470](https://github.com/GMOD/jbrowse-components/pull/3470) Variant sample
    grid auto-size columns and resizer
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3304](https://github.com/GMOD/jbrowse-components/pull/3304) Faceted/data
    grid style track selector ([@cmdcolin](https://github.com/cmdcolin))
  - [#3477](https://github.com/GMOD/jbrowse-components/pull/3477) Larger margins
    to add track workflow to visually clarify next button behavior
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3475](https://github.com/GMOD/jbrowse-components/pull/3475) Bypass
    plugins.json download if unneeded during app startup
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3458](https://github.com/GMOD/jbrowse-components/pull/3458) Improve
    auto-update of sequence track height when toggling
    forward/reverse/translation settings
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- `core`
  - [#3482](https://github.com/GMOD/jbrowse-components/pull/3482) Fix loading
    external plugins in embedded linear-genome-view demo
    ([@cmdcolin](https://github.com/cmdcolin))
- Other
  - [#3457](https://github.com/GMOD/jbrowse-components/pull/3457) Fix synteny
    view not drawing after horizontal flip in v2.3.3
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3459](https://github.com/GMOD/jbrowse-components/pull/3459) Booleanize
    localstorage settings from older versions of LGV to avoid crash
    ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#3487](https://github.com/GMOD/jbrowse-components/pull/3487) Storybook 7
  ([@cmdcolin](https://github.com/cmdcolin))
- [#3464](https://github.com/GMOD/jbrowse-components/pull/3464) Add source file
  to config/state model docs ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 1

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
