---
title: v2.4.0 Release
date: 2023-02-24 00:59:24
tags: ['release', 'jbrowse 2']
---

Hello all! We are excited to announce the new features in this release. Here are
some highlights

## More theme options and dark mode

The jbrowse web and jbrowse desktop app now has multiple themes that a user can
pick between in the jbrowse-web and jbrowse-desktop apps.

Extra themes can be defined via plugins or via your config file.

See [the theme docs](/docs/config_guides/theme) for more info and let us know if
you have any requests

![](https://user-images.githubusercontent.com/6511937/221064203-d19352fe-915a-41bc-9ec3-dc22ae94c40f.png)

## SVG export of more view types

Dotplot, circular, and linear synteny views have added an SVG export option. The
breakpoint split view is one of the few view types without the SVG export now.
The SVG exports can incorporate the current theme, or use a default.

![](https://user-images.githubusercontent.com/6511937/221062560-346cc4e7-1053-496f-80a8-bded420041a7.png)

See the release notes for more!

## Downloads

- [v2.4.0](https://github.com/GMOD/jbrowse-components/releases/tag/v2.4.0)

To install JBrowse 2 for the web, you can download the link above, or you can
use the JBrowse CLI to automatically download the latest version. See the
[JBrowse web quick start](https://jbrowse.org/jb2/docs/quickstart_web) for more
details.

See "Packages in this release" in the changelog for links to packages published
on NPM.

## 2.4.0 (2023-02-24)

<details><summary>Packages in this release</summary>
<p>

| Package                                 | Download                                                          |
| --------------------------------------- | ----------------------------------------------------------------- |
| @jbrowse/core                           | https://www.npmjs.com/package/@jbrowse/core                       |
| @jbrowse/plugin-alignments              | https://www.npmjs.com/package/@jbrowse/plugin-alignments          |
| @jbrowse/plugin-authentication          | https://www.npmjs.com/package/@jbrowse/plugin-authentication      |
| @jbrowse/plugin-breakpoint-split-view   |                                                                   |
| @jbrowse/plugin-circular-view           | https://www.npmjs.com/package/@jbrowse/plugin-circular-view       |
| @jbrowse/plugin-config                  | https://www.npmjs.com/package/@jbrowse/plugin-config              |
| @jbrowse/plugin-data-management         | https://www.npmjs.com/package/@jbrowse/plugin-data-management     |
| @jbrowse/plugin-dotplot-view            |                                                                   |
| @jbrowse/plugin-grid-bookmark           | https://www.npmjs.com/package/@jbrowse/plugin-grid-bookmark       |
| @jbrowse/plugin-gtf                     | https://www.npmjs.com/package/@jbrowse/plugin-gtf                 |
| @jbrowse/plugin-hic                     |                                                                   |
| @jbrowse/plugin-jobs-management         |                                                                   |
| @jbrowse/plugin-legacy-jbrowse          | https://www.npmjs.com/package/@jbrowse/plugin-legacy-jbrowse      |
| @jbrowse/plugin-linear-comparative-view |                                                                   |
| @jbrowse/plugin-linear-genome-view      | https://www.npmjs.com/package/@jbrowse/plugin-linear-genome-view  |
| @jbrowse/plugin-menus                   |                                                                   |
| @jbrowse/plugin-sequence                | https://www.npmjs.com/package/@jbrowse/plugin-sequence            |
| @jbrowse/plugin-spreadsheet-view        |                                                                   |
| @jbrowse/plugin-sv-inspector            |                                                                   |
| @jbrowse/plugin-svg                     | https://www.npmjs.com/package/@jbrowse/plugin-svg                 |
| @jbrowse/plugin-variants                | https://www.npmjs.com/package/@jbrowse/plugin-variants            |
| @jbrowse/plugin-wiggle                  | https://www.npmjs.com/package/@jbrowse/plugin-wiggle              |
| @jbrowse/cli                            | https://www.npmjs.com/package/@jbrowse/cli                        |
| @jbrowse/desktop                        |                                                                   |
| @jbrowse/img                            | https://www.npmjs.com/package/@jbrowse/img                        |
| @jbrowse/react-circular-genome-view     | https://www.npmjs.com/package/@jbrowse/react-circular-genome-view |
| @jbrowse/react-linear-genome-view       | https://www.npmjs.com/package/@jbrowse/react-linear-genome-view   |
| @jbrowse/web                            |                                                                   |

</p>
</details>

#### :rocket: Enhancement

- Other
  - [#3527](https://github.com/GMOD/jbrowse-components/pull/3527) Breakpoint
    split view SVG export ([@cmdcolin](https://github.com/cmdcolin))
  - [#3510](https://github.com/GMOD/jbrowse-components/pull/3510) Allow
    configuring default display height
    ([@cmdcolin](https://github.com/cmdcolin))
- `core`
  - [#3513](https://github.com/GMOD/jbrowse-components/pull/3513) Add ability to
    open refNameAliases+cytobands in "Open sequence" start screen on desktop
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3512](https://github.com/GMOD/jbrowse-components/pull/3512) SVG export of
    linear synteny view, dotplot, and circular views
    ([@cmdcolin](https://github.com/cmdcolin))
  - [#3467](https://github.com/GMOD/jbrowse-components/pull/3467) Create dark
    theme and allow user to toggle different themes from preferences dialog
    ([@cmdcolin](https://github.com/cmdcolin))

#### :bug: Bug Fix

- [#3525](https://github.com/GMOD/jbrowse-components/pull/3525) Fix missing grid
  ticks in dotplot ([@cmdcolin](https://github.com/cmdcolin))
- [#3524](https://github.com/GMOD/jbrowse-components/pull/3524) Fix loading
  session shares that have a plus sign in the sessionId
  ([@cmdcolin](https://github.com/cmdcolin))

#### :memo: Documentation

- [#3532](https://github.com/GMOD/jbrowse-components/pull/3532) Check website
  links in CI ([@cmdcolin](https://github.com/cmdcolin))
- [#3507](https://github.com/GMOD/jbrowse-components/pull/3507) Fix mygene.info
  demo track ([@cmdcolin](https://github.com/cmdcolin))

#### Committers: 2

- Colin Diesh ([@cmdcolin](https://github.com/cmdcolin))
- Garrett Stevens ([@garrettjstevens](https://github.com/garrettjstevens))
