---
slug: /
id: introduction
title: Introduction
toplevel: true
---

Welcome to the JBrowse 2 documentation.

- [Quick start for JBrowse desktop](quickstart_desktop) - a quick start guide to
  getting JBrowse desktop running on your machine
- [Quick start for JBrowse web](quickstart_web) - a quick start guide to running
  JBrowse 2 in a browser
- [Quick start for JBrowse web via CLI](quickstart_web) - a quick start guide to
  installing the JBrowse 2 CLI and getting JBrowse web running locally on a
  browser

### User and developer guides

- [User guide](user_guide) - for general usage, guided by screenshots and
  descriptions
- [Config guide](config_guide) - for detailed configuration settings
- [Developer guide](developer_guide) - for developers of plugins

#### Tutorials

- [Config editing via graphical interface](./tutorials/config_gui) - a guide for
  configuring JBrowse via the GUI
- [Config editing via command-line interface](./tutorials/config_cli) - a guide
  for configuring JBrowse via CLI
- [Writing a simple plugin for JBrowse 2](./tutorials/simple_plugin/)
- [Developing with JBrowse web and desktop](./tutorials/develop_web_and_desktop_tutorial/)

...and more! Use the left panel to browse some of the other guide docs
available.

### Other resources

- [FAQ](faq) - some Q&A for troubleshooting or other topics
- [@jbrowse/cli](cli) - docs for our CLI tools for loading tracks, assemblies,
  text indexing, and more
- [@jbrowse/img](https://www.npmjs.com/package/@jbrowse/img) - docs for our
  command line image generator
- [Embedded components, JBrowseR, and JBrowse Jupyter](embedded_components) -
  docs for our reusable React components
- [JBrowseR](https://gmod.github.io/JBrowseR/) - docs for our R htmlwidget
  usable in Shiny apps
- [JBrowse Jupyter](https://gmod.github.io/jbrowse-jupyter/docs/html/index.html) -
  docs for our Python dash component usable in Jupyter

### PDF download

A PDF version of the documentation is available at
https://jbrowse.org/jb2/jbrowse2.pdf

### Contact information

Feel free to [contact us](/contact) if you have questions, issues, suggestions,
improvements, or feedback. Enjoy!
