const fs = require('fs')

const sidebar = JSON.parse(fs.readFileSync('../sidebars.json'))

function readTree(tree, res = []) {
  tree.forEach(subtree => {
    if (subtree.type === 'autogenerated') {
      // ignore
    } else if (subtree.items) {
      readTree(subtree.items, res)
    } else if (typeof subtree === 'string') {
      res.push(`${subtree}.md`)
    } else if (subtree.id !== 'combined' && subtree.id !== 'combined_pdf') {
      res.push(`${subtree.id}.md`)
    }
  })
  return res
}

const res = readTree(sidebar.sidebar)
  .filter(f => !f.includes('archive'))
  .join('\n')

// eslint-disable-next-line no-console
console.log(res)
